/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-3D.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _Qt3DCoreAPI_H
#define _Qt3DCoreAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_Qt3DCore[0]
#define sipNameNr_Qt3DCore__QGeometryView__PrimitiveType 45
#define sipName_Qt3DCore__QGeometryView__PrimitiveType &sipStrings_Qt3DCore[45]
#define sipNameNr_boundingVolumePositionAttributeChanged 84
#define sipName_boundingVolumePositionAttributeChanged &sipStrings_Qt3DCore[84]
#define sipNameNr_defaultTextureCoordinate1AttributeName 123
#define sipName_defaultTextureCoordinate1AttributeName &sipStrings_Qt3DCore[123]
#define sipNameNr_defaultTextureCoordinate2AttributeName 162
#define sipName_defaultTextureCoordinate2AttributeName &sipStrings_Qt3DCore[162]
#define sipNameNr_defaultTextureCoordinateAttributeName 201
#define sipName_defaultTextureCoordinateAttributeName &sipStrings_Qt3DCore[201]
#define sipNameNr_Qt3DCore__QAttribute__VertexBaseType 239
#define sipName_Qt3DCore__QAttribute__VertexBaseType &sipStrings_Qt3DCore[239]
#define sipNameNr_Qt3DCore__QAttribute__AttributeType 276
#define sipName_Qt3DCore__QAttribute__AttributeType &sipStrings_Qt3DCore[276]
#define sipNameNr_setBoundingVolumePositionAttribute 312
#define sipName_setBoundingVolumePositionAttribute &sipStrings_Qt3DCore[312]
#define sipNameNr_347 347
#define sipName_347 &sipStrings_Qt3DCore[347]
#define sipNameNr_381 381
#define sipName_381 &sipStrings_Qt3DCore[381]
#define sipNameNr_415 415
#define sipName_415 &sipStrings_Qt3DCore[415]
#define sipNameNr_Qt3DCore__QSkeletonLoader__Status 449
#define sipName_Qt3DCore__QSkeletonLoader__Status &sipStrings_Qt3DCore[449]
#define sipNameNr_Qt3DCore__QAspectEngine__RunMode 483
#define sipName_Qt3DCore__QAspectEngine__RunMode &sipStrings_Qt3DCore[483]
#define sipNameNr_defaultJointIndicesAttributeName 516
#define sipName_defaultJointIndicesAttributeName &sipStrings_Qt3DCore[516]
#define sipNameNr_defaultJointWeightsAttributeName 549
#define sipName_defaultJointWeightsAttributeName &sipStrings_Qt3DCore[549]
#define sipNameNr_boundingVolumePositionAttribute 582
#define sipName_boundingVolumePositionAttribute &sipStrings_Qt3DCore[582]
#define sipNameNr_primitiveRestartEnabledChanged 614
#define sipName_primitiveRestartEnabledChanged &sipStrings_Qt3DCore[614]
#define sipNameNr_Qt3DCore__QBuffer__AccessType 645
#define sipName_Qt3DCore__QBuffer__AccessType &sipStrings_Qt3DCore[645]
#define sipNameNr_boundingVolumesEnabledChanged 675
#define sipName_boundingVolumesEnabledChanged &sipStrings_Qt3DCore[675]
#define sipNameNr_705 705
#define sipName_705 &sipStrings_Qt3DCore[705]
#define sipNameNr_734 734
#define sipName_734 &sipStrings_Qt3DCore[734]
#define sipNameNr_Qt3DCore__QBackendNode__Mode 763
#define sipName_Qt3DCore__QBackendNode__Mode &sipStrings_Qt3DCore[763]
#define sipNameNr_Qt3DCore__QBackendNodeMapper 792
#define sipName_Qt3DCore__QBackendNodeMapper &sipStrings_Qt3DCore[792]
#define sipNameNr_Qt3DCore__QBuffer__UsageType 821
#define sipName_Qt3DCore__QBuffer__UsageType &sipStrings_Qt3DCore[821]
#define sipNameNr_defaultPositionAttributeName 850
#define sipName_defaultPositionAttributeName &sipStrings_Qt3DCore[850]
#define sipNameNr_indexBufferByteOffsetChanged 879
#define sipName_indexBufferByteOffsetChanged &sipStrings_Qt3DCore[879]
#define sipNameNr_Qt3DCore__QAbstractSkeleton 908
#define sipName_Qt3DCore__QAbstractSkeleton &sipStrings_Qt3DCore[908]
#define sipNameNr_defaultTangentAttributeName 936
#define sipName_defaultTangentAttributeName &sipStrings_Qt3DCore[936]
#define sipNameNr_Qt3DCore__QAbstractFunctor 964
#define sipName_Qt3DCore__QAbstractFunctor &sipStrings_Qt3DCore[964]
#define sipNameNr_createJointsEnabledChanged 991
#define sipName_createJointsEnabledChanged &sipStrings_Qt3DCore[991]
#define sipNameNr_defaultNormalAttributeName 1018
#define sipName_defaultNormalAttributeName &sipStrings_Qt3DCore[1018]
#define sipNameNr_implicitPointsValidChanged 1045
#define sipName_implicitPointsValidChanged &sipStrings_Qt3DCore[1045]
#define sipNameNr_setPrimitiveRestartEnabled 1072
#define sipName_setPrimitiveRestartEnabled &sipStrings_Qt3DCore[1072]
#define sipNameNr_1099 1099
#define sipName_1099 &sipStrings_Qt3DCore[1099]
#define sipNameNr_Qt3DCore__QAbstractAspect 1125
#define sipName_Qt3DCore__QAbstractAspect &sipStrings_Qt3DCore[1125]
#define sipNameNr_Qt3DCore__QBoundingVolume 1151
#define sipName_Qt3DCore__QBoundingVolume &sipStrings_Qt3DCore[1151]
#define sipNameNr_Qt3DCore__QNodeIdTypePair 1177
#define sipName_Qt3DCore__QNodeIdTypePair &sipStrings_Qt3DCore[1177]
#define sipNameNr_Qt3DCore__QSkeletonLoader 1203
#define sipName_Qt3DCore__QSkeletonLoader &sipStrings_Qt3DCore[1203]
#define sipNameNr_defaultColorAttributeName 1229
#define sipName_defaultColorAttributeName &sipStrings_Qt3DCore[1229]
#define sipNameNr_setBoundingVolumesEnabled 1255
#define sipName_setBoundingVolumesEnabled &sipStrings_Qt3DCore[1255]
#define sipNameNr_1281 1281
#define sipName_1281 &sipStrings_Qt3DCore[1281]
#define sipNameNr_1306 1306
#define sipName_1306 &sipStrings_Qt3DCore[1306]
#define sipNameNr_inverseBindMatrixChanged 1331
#define sipName_inverseBindMatrixChanged &sipStrings_Qt3DCore[1331]
#define sipNameNr_restartIndexValueChanged 1356
#define sipName_restartIndexValueChanged &sipStrings_Qt3DCore[1356]
#define sipNameNr_setIndexBufferByteOffset 1381
#define sipName_setIndexBufferByteOffset &sipStrings_Qt3DCore[1381]
#define sipNameNr_PyQt6_sip_simplewrapper 1406
#define sipName_PyQt6_sip_simplewrapper &sipStrings_Qt3DCore[1406]
#define sipNameNr_1430 1430
#define sipName_1430 &sipStrings_Qt3DCore[1430]
#define sipNameNr_Qt3DCore__QAspectEngine 1454
#define sipName_Qt3DCore__QAspectEngine &sipStrings_Qt3DCore[1454]
#define sipNameNr_Qt3DCore__QCoreSettings 1478
#define sipName_Qt3DCore__QCoreSettings &sipStrings_Qt3DCore[1478]
#define sipNameNr_Qt3DCore__QGeometryView 1502
#define sipName_Qt3DCore__QGeometryView &sipStrings_Qt3DCore[1502]
#define sipNameNr_implicitMaxPointChanged 1526
#define sipName_implicitMaxPointChanged &sipStrings_Qt3DCore[1526]
#define sipNameNr_implicitMinPointChanged 1550
#define sipName_implicitMinPointChanged &sipStrings_Qt3DCore[1550]
#define sipNameNr_primitiveRestartEnabled 1574
#define sipName_primitiveRestartEnabled &sipStrings_Qt3DCore[1574]
#define sipNameNr_verticesPerPatchChanged 1598
#define sipName_verticesPerPatchChanged &sipStrings_Qt3DCore[1598]
#define sipNameNr_Qt3DCore__QBackendNode 1622
#define sipName_Qt3DCore__QBackendNode &sipStrings_Qt3DCore[1622]
#define sipNameNr_TriangleStripAdjacency 1645
#define sipName_TriangleStripAdjacency &sipStrings_Qt3DCore[1645]
#define sipNameNr_areImplicitPointsValid 1668
#define sipName_areImplicitPointsValid &sipStrings_Qt3DCore[1668]
#define sipNameNr_boundingVolumesEnabled 1691
#define sipName_boundingVolumesEnabled &sipStrings_Qt3DCore[1691]
#define sipNameNr_setCreateJointsEnabled 1714
#define sipName_setCreateJointsEnabled &sipStrings_Qt3DCore[1714]
#define sipNameNr_DrawIndirectAttribute 1737
#define sipName_DrawIndirectAttribute &sipStrings_Qt3DCore[1737]
#define sipNameNr_indexBufferByteOffset 1759
#define sipName_indexBufferByteOffset &sipStrings_Qt3DCore[1759]
#define sipNameNr_isCreateJointsEnabled 1781
#define sipName_isCreateJointsEnabled &sipStrings_Qt3DCore[1781]
#define sipNameNr_unregisterBackendType 1803
#define sipName_unregisterBackendType &sipStrings_Qt3DCore[1803]
#define sipNameNr_vertexBaseTypeChanged 1825
#define sipName_vertexBaseTypeChanged &sipStrings_Qt3DCore[1825]
#define sipNameNr_Qt3DCore__QAttribute 1847
#define sipName_Qt3DCore__QAttribute &sipStrings_Qt3DCore[1847]
#define sipNameNr_Qt3DCore__QComponent 1868
#define sipName_Qt3DCore__QComponent &sipStrings_Qt3DCore[1868]
#define sipNameNr_Qt3DCore__QTransform 1889
#define sipName_Qt3DCore__QTransform &sipStrings_Qt3DCore[1889]
#define sipNameNr_attributeTypeChanged 1910
#define sipName_attributeTypeChanged &sipStrings_Qt3DCore[1910]
#define sipNameNr_firstInstanceChanged 1931
#define sipName_firstInstanceChanged &sipStrings_Qt3DCore[1931]
#define sipNameNr_instanceCountChanged 1952
#define sipName_instanceCountChanged &sipStrings_Qt3DCore[1952]
#define sipNameNr_notificationsBlocked 1973
#define sipName_notificationsBlocked &sipStrings_Qt3DCore[1973]
#define sipNameNr_primitiveTypeChanged 1994
#define sipName_primitiveTypeChanged &sipStrings_Qt3DCore[1994]
#define sipNameNr_setInverseBindMatrix 2015
#define sipName_setInverseBindMatrix &sipStrings_Qt3DCore[2015]
#define sipNameNr_setRestartIndexValue 2036
#define sipName_setRestartIndexValue &sipStrings_Qt3DCore[2036]
#define sipNameNr_updateImplicitBounds 2057
#define sipName_updateImplicitBounds &sipStrings_Qt3DCore[2057]
#define sipNameNr_PYQT_3D_VERSION_STR 2078
#define sipName_PYQT_3D_VERSION_STR &sipStrings_Qt3DCore[2078]
#define sipNameNr_Qt3DCore__QArmature 2098
#define sipName_Qt3DCore__QArmature &sipStrings_Qt3DCore[2098]
#define sipNameNr_Qt3DCore__QGeometry 2118
#define sipName_Qt3DCore__QGeometry &sipStrings_Qt3DCore[2118]
#define sipNameNr_Qt3DCore__QSkeleton 2138
#define sipName_Qt3DCore__QSkeleton &sipStrings_Qt3DCore[2138]
#define sipNameNr_registerBackendType 1805
#define sipName_registerBackendType &sipStrings_Qt3DCore[1805]
#define sipNameNr_setVerticesPerPatch 2158
#define sipName_setVerticesPerPatch &sipStrings_Qt3DCore[2158]
#define sipNameNr_LineStripAdjacency 2178
#define sipName_LineStripAdjacency &sipStrings_Qt3DCore[2178]
#define sipNameNr_QBackendNodeMapper 802
#define sipName_QBackendNodeMapper &sipStrings_Qt3DCore[802]
#define sipNameNr_TrianglesAdjacency 2197
#define sipName_TrianglesAdjacency &sipStrings_Qt3DCore[2197]
#define sipNameNr_blockNotifications 2216
#define sipName_blockNotifications &sipStrings_Qt3DCore[2216]
#define sipNameNr_firstVertexChanged 2235
#define sipName_firstVertexChanged &sipStrings_Qt3DCore[2235]
#define sipNameNr_indexOffsetChanged 2254
#define sipName_indexOffsetChanged &sipStrings_Qt3DCore[2254]
#define sipNameNr_translationChanged 2273
#define sipName_translationChanged &sipStrings_Qt3DCore[2273]
#define sipNameNr_vertexCountChanged 2292
#define sipName_vertexCountChanged &sipStrings_Qt3DCore[2292]
#define sipNameNr_worldMatrixChanged 2311
#define sipName_worldMatrixChanged &sipStrings_Qt3DCore[2311]
#define sipNameNr_QAbstractSkeleton 918
#define sipName_QAbstractSkeleton &sipStrings_Qt3DCore[918]
#define sipNameNr_Qt3DCore__QBuffer 2330
#define sipName_Qt3DCore__QBuffer &sipStrings_Qt3DCore[2330]
#define sipNameNr_Qt3DCore__QEntity 2348
#define sipName_Qt3DCore__QEntity &sipStrings_Qt3DCore[2348]
#define sipNameNr_Qt3DCore__QNodeId 2366
#define sipName_Qt3DCore__QNodeId &sipStrings_Qt3DCore[2366]
#define sipNameNr_accessTypeChanged 2384
#define sipName_accessTypeChanged &sipStrings_Qt3DCore[2384]
#define sipNameNr_byteOffsetChanged 2402
#define sipName_byteOffsetChanged &sipStrings_Qt3DCore[2402]
#define sipNameNr_byteStrideChanged 2420
#define sipName_byteStrideChanged &sipStrings_Qt3DCore[2420]
#define sipNameNr_fromAxesAndAngles 2438
#define sipName_fromAxesAndAngles &sipStrings_Qt3DCore[2438]
#define sipNameNr_inverseBindMatrix 2456
#define sipName_inverseBindMatrix &sipStrings_Qt3DCore[2456]
#define sipNameNr_jointCountChanged 2474
#define sipName_jointCountChanged &sipStrings_Qt3DCore[2474]
#define sipNameNr_removedFromEntity 2492
#define sipName_removedFromEntity &sipStrings_Qt3DCore[2492]
#define sipNameNr_restartIndexValue 2510
#define sipName_restartIndexValue &sipStrings_Qt3DCore[2510]
#define sipNameNr_setVertexBaseType 2528
#define sipName_setVertexBaseType &sipStrings_Qt3DCore[2528]
#define sipNameNr_vertexSizeChanged 2546
#define sipName_vertexSizeChanged &sipStrings_Qt3DCore[2546]
#define sipNameNr_QAbstractFunctor 974
#define sipName_QAbstractFunctor &sipStrings_Qt3DCore[974]
#define sipNameNr_Qt3DCore__QJoint 2564
#define sipName_Qt3DCore__QJoint &sipStrings_Qt3DCore[2564]
#define sipNameNr_disconnectNotify 2581
#define sipName_disconnectNotify &sipStrings_Qt3DCore[2581]
#define sipNameNr_fromAxisAndAngle 2598
#define sipName_fromAxisAndAngle &sipStrings_Qt3DCore[2598]
#define sipNameNr_implicitMaxPoint 2615
#define sipName_implicitMaxPoint &sipStrings_Qt3DCore[2615]
#define sipNameNr_implicitMinPoint 2632
#define sipName_implicitMinPoint &sipStrings_Qt3DCore[2632]
#define sipNameNr_maxExtentChanged 2649
#define sipName_maxExtentChanged &sipStrings_Qt3DCore[2649]
#define sipNameNr_minExtentChanged 2666
#define sipName_minExtentChanged &sipStrings_Qt3DCore[2666]
#define sipNameNr_removeChildJoint 2683
#define sipName_removeChildJoint &sipStrings_Qt3DCore[2683]
#define sipNameNr_rootJointChanged 2700
#define sipName_rootJointChanged &sipStrings_Qt3DCore[2700]
#define sipNameNr_rotationXChanged 2717
#define sipName_rotationXChanged &sipStrings_Qt3DCore[2717]
#define sipNameNr_rotationYChanged 2734
#define sipName_rotationYChanged &sipStrings_Qt3DCore[2734]
#define sipNameNr_rotationZChanged 2751
#define sipName_rotationZChanged &sipStrings_Qt3DCore[2751]
#define sipNameNr_setAttributeType 2768
#define sipName_setAttributeType &sipStrings_Qt3DCore[2768]
#define sipNameNr_setFirstInstance 2785
#define sipName_setFirstInstance &sipStrings_Qt3DCore[2785]
#define sipNameNr_setInstanceCount 2802
#define sipName_setInstanceCount &sipStrings_Qt3DCore[2802]
#define sipNameNr_setPrimitiveType 2819
#define sipName_setPrimitiveType &sipStrings_Qt3DCore[2819]
#define sipNameNr_shareableChanged 2836
#define sipName_shareableChanged &sipStrings_Qt3DCore[2836]
#define sipNameNr_syncFromFrontEnd 2853
#define sipName_syncFromFrontEnd &sipStrings_Qt3DCore[2853]
#define sipNameNr_unregisterAspect 2870
#define sipName_unregisterAspect &sipStrings_Qt3DCore[2870]
#define sipNameNr_verticesPerPatch 2887
#define sipName_verticesPerPatch &sipStrings_Qt3DCore[2887]
#define sipNameNr_PYQT_3D_VERSION 2904
#define sipName_PYQT_3D_VERSION &sipStrings_Qt3DCore[2904]
#define sipNameNr_QAbstractAspect 1135
#define sipName_QAbstractAspect &sipStrings_Qt3DCore[1135]
#define sipNameNr_QBoundingVolume 1161
#define sipName_QBoundingVolume &sipStrings_Qt3DCore[1161]
#define sipNameNr_QNodeIdTypePair 1187
#define sipName_QNodeIdTypePair &sipStrings_Qt3DCore[1187]
#define sipNameNr_QSkeletonLoader 1213
#define sipName_QSkeletonLoader &sipStrings_Qt3DCore[1213]
#define sipNameNr_Qt3DCore__QNode 2920
#define sipName_Qt3DCore__QNode &sipStrings_Qt3DCore[2920]
#define sipNameNr_VertexAttribute 2936
#define sipName_VertexAttribute &sipStrings_Qt3DCore[2936]
#define sipNameNr_dataSizeChanged 2952
#define sipName_dataSizeChanged &sipStrings_Qt3DCore[2952]
#define sipNameNr_dataTypeChanged 2968
#define sipName_dataTypeChanged &sipStrings_Qt3DCore[2968]
#define sipNameNr_fromEulerAngles 2984
#define sipName_fromEulerAngles &sipStrings_Qt3DCore[2984]
#define sipNameNr_geometryChanged 3000
#define sipName_geometryChanged &sipStrings_Qt3DCore[3000]
#define sipNameNr_maxPointChanged 3016
#define sipName_maxPointChanged &sipStrings_Qt3DCore[3016]
#define sipNameNr_minPointChanged 3032
#define sipName_minPointChanged &sipStrings_Qt3DCore[3032]
#define sipNameNr_removeAttribute 3048
#define sipName_removeAttribute &sipStrings_Qt3DCore[3048]
#define sipNameNr_removeComponent 3064
#define sipName_removeComponent &sipStrings_Qt3DCore[3064]
#define sipNameNr_rotationChanged 3080
#define sipName_rotationChanged &sipStrings_Qt3DCore[3080]
#define sipNameNr_skeletonChanged 3096
#define sipName_skeletonChanged &sipStrings_Qt3DCore[3096]
#define sipNameNr_IndexAttribute 3112
#define sipName_IndexAttribute &sipStrings_Qt3DCore[3112]
#define sipNameNr_LinesAdjacency 3127
#define sipName_LinesAdjacency &sipStrings_Qt3DCore[3127]
#define sipNameNr_PyQt6_Qt3DCore 3142
#define sipName_PyQt6_Qt3DCore &sipStrings_Qt3DCore[3142]
#define sipNameNr_VertexBaseType 261
#define sipName_VertexBaseType &sipStrings_Qt3DCore[261]
#define sipNameNr_divisorChanged 3157
#define sipName_divisorChanged &sipStrings_Qt3DCore[3157]
#define sipNameNr_enabledChanged 3172
#define sipName_enabledChanged &sipStrings_Qt3DCore[3172]
#define sipNameNr_executeCommand 3187
#define sipName_executeCommand &sipStrings_Qt3DCore[3187]
#define sipNameNr_registerAspect 2872
#define sipName_registerAspect &sipStrings_Qt3DCore[2872]
#define sipNameNr_rotateFromAxes 3202
#define sipName_rotateFromAxes &sipStrings_Qt3DCore[3202]
#define sipNameNr_scale3DChanged 3217
#define sipName_scale3DChanged &sipStrings_Qt3DCore[3217]
#define sipNameNr_setFirstVertex 3232
#define sipName_setFirstVertex &sipStrings_Qt3DCore[3232]
#define sipNameNr_setIndexOffset 3247
#define sipName_setIndexOffset &sipStrings_Qt3DCore[3247]
#define sipNameNr_setTranslation 3262
#define sipName_setTranslation &sipStrings_Qt3DCore[3262]
#define sipNameNr_setVertexCount 3277
#define sipName_setVertexCount &sipStrings_Qt3DCore[3277]
#define sipNameNr_vertexBaseType 3292
#define sipName_vertexBaseType &sipStrings_Qt3DCore[3292]
#define sipNameNr_AttributeType 298
#define sipName_AttributeType &sipStrings_Qt3DCore[298]
#define sipNameNr_PrimitiveType 70
#define sipName_PrimitiveType &sipStrings_Qt3DCore[70]
#define sipNameNr_QAspectEngine 1464
#define sipName_QAspectEngine &sipStrings_Qt3DCore[1464]
#define sipNameNr_QCoreSettings 1488
#define sipName_QCoreSettings &sipStrings_Qt3DCore[1488]
#define sipNameNr_QGeometryView 1512
#define sipName_QGeometryView &sipStrings_Qt3DCore[1512]
#define sipNameNr_TriangleStrip 3307
#define sipName_TriangleStrip &sipStrings_Qt3DCore[3307]
#define sipNameNr_UnsignedShort 3321
#define sipName_UnsignedShort &sipStrings_Qt3DCore[3321]
#define sipNameNr_addChildJoint 3335
#define sipName_addChildJoint &sipStrings_Qt3DCore[3335]
#define sipNameNr_addedToEntity 3349
#define sipName_addedToEntity &sipStrings_Qt3DCore[3349]
#define sipNameNr_attributeType 3363
#define sipName_attributeType &sipStrings_Qt3DCore[3363]
#define sipNameNr_bufferChanged 3377
#define sipName_bufferChanged &sipStrings_Qt3DCore[3377]
#define sipNameNr_connectNotify 2584
#define sipName_connectNotify &sipStrings_Qt3DCore[2584]
#define sipNameNr_dataAvailable 3391
#define sipName_dataAvailable &sipStrings_Qt3DCore[3391]
#define sipNameNr_firstInstance 3405
#define sipName_firstInstance &sipStrings_Qt3DCore[3405]
#define sipNameNr_instanceCount 3419
#define sipName_instanceCount &sipStrings_Qt3DCore[3419]
#define sipNameNr_matrixChanged 3433
#define sipName_matrixChanged &sipStrings_Qt3DCore[3433]
#define sipNameNr_nodeDestroyed 3447
#define sipName_nodeDestroyed &sipStrings_Qt3DCore[3447]
#define sipNameNr_parentChanged 3461
#define sipName_parentChanged &sipStrings_Qt3DCore[3461]
#define sipNameNr_primitiveType 3475
#define sipName_primitiveType &sipStrings_Qt3DCore[3475]
#define sipNameNr_setAccessType 3489
#define sipName_setAccessType &sipStrings_Qt3DCore[3489]
#define sipNameNr_setByteOffset 3503
#define sipName_setByteOffset &sipStrings_Qt3DCore[3503]
#define sipNameNr_setByteStride 3517
#define sipName_setByteStride &sipStrings_Qt3DCore[3517]
#define sipNameNr_setRootEntity 3531
#define sipName_setRootEntity &sipStrings_Qt3DCore[3531]
#define sipNameNr_setToIdentity 3545
#define sipName_setToIdentity &sipStrings_Qt3DCore[3545]
#define sipNameNr_setVertexSize 3559
#define sipName_setVertexSize &sipStrings_Qt3DCore[3559]
#define sipNameNr_sourceChanged 3573
#define sipName_sourceChanged &sipStrings_Qt3DCore[3573]
#define sipNameNr_statusChanged 3587
#define sipName_statusChanged &sipStrings_Qt3DCore[3587]
#define sipNameNr_QBackendNode 1632
#define sipName_QBackendNode &sipStrings_Qt3DCore[1632]
#define sipNameNr_UnsignedByte 3601
#define sipName_UnsignedByte &sipStrings_Qt3DCore[3601]
#define sipNameNr_addAttribute 3614
#define sipName_addAttribute &sipStrings_Qt3DCore[3614]
#define sipNameNr_addComponent 3627
#define sipName_addComponent &sipStrings_Qt3DCore[3627]
#define sipNameNr_countChanged 3640
#define sipName_countChanged &sipStrings_Qt3DCore[3640]
#define sipNameNr_parentEntity 3653
#define sipName_parentEntity &sipStrings_Qt3DCore[3653]
#define sipNameNr_processFrame 3666
#define sipName_processFrame &sipStrings_Qt3DCore[3666]
#define sipNameNr_rootEntityId 3679
#define sipName_rootEntityId &sipStrings_Qt3DCore[3679]
#define sipNameNr_rotateAround 3692
#define sipName_rotateAround &sipStrings_Qt3DCore[3692]
#define sipNameNr_scaleChanged 3705
#define sipName_scaleChanged &sipStrings_Qt3DCore[3705]
#define sipNameNr_setRootJoint 3718
#define sipName_setRootJoint &sipStrings_Qt3DCore[3718]
#define sipNameNr_setRotationX 3731
#define sipName_setRotationX &sipStrings_Qt3DCore[3731]
#define sipNameNr_setRotationY 3744
#define sipName_setRotationY &sipStrings_Qt3DCore[3744]
#define sipNameNr_setRotationZ 3757
#define sipName_setRotationZ &sipStrings_Qt3DCore[3757]
#define sipNameNr_setShareable 3770
#define sipName_setShareable &sipStrings_Qt3DCore[3770]
#define sipNameNr_usageChanged 3783
#define sipName_usageChanged &sipStrings_Qt3DCore[3783]
#define sipNameNr_DynamicCopy 3796
#define sipName_DynamicCopy &sipStrings_Qt3DCore[3796]
#define sipNameNr_DynamicDraw 3808
#define sipName_DynamicDraw &sipStrings_Qt3DCore[3808]
#define sipNameNr_DynamicRead 3820
#define sipName_DynamicRead &sipStrings_Qt3DCore[3820]
#define sipNameNr_TriangleFan 3832
#define sipName_TriangleFan &sipStrings_Qt3DCore[3832]
#define sipNameNr_UnsignedInt 3844
#define sipName_UnsignedInt &sipStrings_Qt3DCore[3844]
#define sipNameNr_childJoints 3856
#define sipName_childJoints &sipStrings_Qt3DCore[3856]
#define sipNameNr_customEvent 3868
#define sipName_customEvent &sipStrings_Qt3DCore[3868]
#define sipNameNr_dataChanged 3880
#define sipName_dataChanged &sipStrings_Qt3DCore[3880]
#define sipNameNr_eventFilter 3892
#define sipName_eventFilter &sipStrings_Qt3DCore[3892]
#define sipNameNr_firstVertex 3904
#define sipName_firstVertex &sipStrings_Qt3DCore[3904]
#define sipNameNr_indexOffset 3916
#define sipName_indexOffset &sipStrings_Qt3DCore[3916]
#define sipNameNr_isShareable 3928
#define sipName_isShareable &sipStrings_Qt3DCore[3928]
#define sipNameNr_nameChanged 3940
#define sipName_nameChanged &sipStrings_Qt3DCore[3940]
#define sipNameNr_setGeometry 3952
#define sipName_setGeometry &sipStrings_Qt3DCore[3952]
#define sipNameNr_setMaxPoint 3964
#define sipName_setMaxPoint &sipStrings_Qt3DCore[3964]
#define sipNameNr_setMinPoint 3976
#define sipName_setMinPoint &sipStrings_Qt3DCore[3976]
#define sipNameNr_setRotation 3988
#define sipName_setRotation &sipStrings_Qt3DCore[3988]
#define sipNameNr_setSkeleton 4000
#define sipName_setSkeleton &sipStrings_Qt3DCore[4000]
#define sipNameNr_translation 4012
#define sipName_translation &sipStrings_Qt3DCore[4012]
#define sipNameNr_vertexCount 4024
#define sipName_vertexCount &sipStrings_Qt3DCore[4024]
#define sipNameNr_viewChanged 4036
#define sipName_viewChanged &sipStrings_Qt3DCore[4036]
#define sipNameNr_worldMatrix 4048
#define sipName_worldMatrix &sipStrings_Qt3DCore[4048]
#define sipNameNr_AccessType 664
#define sipName_AccessType &sipStrings_Qt3DCore[664]
#define sipNameNr_QAttribute 1857
#define sipName_QAttribute &sipStrings_Qt3DCore[1857]
#define sipNameNr_QComponent 1878
#define sipName_QComponent &sipStrings_Qt3DCore[1878]
#define sipNameNr_QTransform 1899
#define sipName_QTransform &sipStrings_Qt3DCore[1899]
#define sipNameNr_StaticCopy 4060
#define sipName_StaticCopy &sipStrings_Qt3DCore[4060]
#define sipNameNr_StaticDraw 4071
#define sipName_StaticDraw &sipStrings_Qt3DCore[4071]
#define sipNameNr_StaticRead 4082
#define sipName_StaticRead &sipStrings_Qt3DCore[4082]
#define sipNameNr_StreamCopy 4093
#define sipName_StreamCopy &sipStrings_Qt3DCore[4093]
#define sipNameNr_StreamDraw 4104
#define sipName_StreamDraw &sipStrings_Qt3DCore[4104]
#define sipNameNr_StreamRead 4115
#define sipName_StreamRead &sipStrings_Qt3DCore[4115]
#define sipNameNr_accessType 4126
#define sipName_accessType &sipStrings_Qt3DCore[4126]
#define sipNameNr_attributes 4137
#define sipName_attributes &sipStrings_Qt3DCore[4137]
#define sipNameNr_byteOffset 4148
#define sipName_byteOffset &sipStrings_Qt3DCore[4148]
#define sipNameNr_byteStride 4159
#define sipName_byteStride &sipStrings_Qt3DCore[4159]
#define sipNameNr_childEvent 4170
#define sipName_childEvent &sipStrings_Qt3DCore[4170]
#define sipNameNr_childNodes 4181
#define sipName_childNodes &sipStrings_Qt3DCore[4181]
#define sipNameNr_components 4192
#define sipName_components &sipStrings_Qt3DCore[4192]
#define sipNameNr_jointCount 4203
#define sipName_jointCount &sipStrings_Qt3DCore[4203]
#define sipNameNr_parentNode 4214
#define sipName_parentNode &sipStrings_Qt3DCore[4214]
#define sipNameNr_qIdForNode 4225
#define sipName_qIdForNode &sipStrings_Qt3DCore[4225]
#define sipNameNr_rootEntity 4236
#define sipName_rootEntity &sipStrings_Qt3DCore[4236]
#define sipNameNr_setDivisor 4247
#define sipName_setDivisor &sipStrings_Qt3DCore[4247]
#define sipNameNr_setEnabled 4258
#define sipName_setEnabled &sipStrings_Qt3DCore[4258]
#define sipNameNr_setRunMode 4269
#define sipName_setRunMode &sipStrings_Qt3DCore[4269]
#define sipNameNr_setScale3D 4280
#define sipName_setScale3D &sipStrings_Qt3DCore[4280]
#define sipNameNr_timerEvent 4291
#define sipName_timerEvent &sipStrings_Qt3DCore[4291]
#define sipNameNr_updateData 4302
#define sipName_updateData &sipStrings_Qt3DCore[4302]
#define sipNameNr_vertexSize 4313
#define sipName_vertexSize &sipStrings_Qt3DCore[4313]
#define sipNameNr_Automatic 4324
#define sipName_Automatic &sipStrings_Qt3DCore[4324]
#define sipNameNr_HalfFloat 4334
#define sipName_HalfFloat &sipStrings_Qt3DCore[4334]
#define sipNameNr_LineStrip 4344
#define sipName_LineStrip &sipStrings_Qt3DCore[4344]
#define sipNameNr_QArmature 2108
#define sipName_QArmature &sipStrings_Qt3DCore[2108]
#define sipNameNr_QGeometry 2128
#define sipName_QGeometry &sipStrings_Qt3DCore[2128]
#define sipNameNr_QSkeleton 2148
#define sipName_QSkeleton &sipStrings_Qt3DCore[2148]
#define sipNameNr_ReadWrite 4354
#define sipName_ReadWrite &sipStrings_Qt3DCore[4354]
#define sipNameNr_Triangles 4364
#define sipName_Triangles &sipStrings_Qt3DCore[4364]
#define sipNameNr_UsageType 840
#define sipName_UsageType &sipStrings_Qt3DCore[840]
#define sipNameNr_isEnabled 4374
#define sipName_isEnabled &sipStrings_Qt3DCore[4374]
#define sipNameNr_maxExtent 4384
#define sipName_maxExtent &sipStrings_Qt3DCore[4384]
#define sipNameNr_minExtent 4394
#define sipName_minExtent &sipStrings_Qt3DCore[4394]
#define sipNameNr_rootJoint 4404
#define sipName_rootJoint &sipStrings_Qt3DCore[4404]
#define sipNameNr_rotationX 4414
#define sipName_rotationX &sipStrings_Qt3DCore[4414]
#define sipNameNr_rotationY 4424
#define sipName_rotationY &sipStrings_Qt3DCore[4424]
#define sipNameNr_rotationZ 4434
#define sipName_rotationZ &sipStrings_Qt3DCore[4434]
#define sipNameNr_setBuffer 4444
#define sipName_setBuffer &sipStrings_Qt3DCore[4444]
#define sipNameNr_setMatrix 4454
#define sipName_setMatrix &sipStrings_Qt3DCore[4454]
#define sipNameNr_setParent 4464
#define sipName_setParent &sipStrings_Qt3DCore[4464]
#define sipNameNr_setSource 4474
#define sipName_setSource &sipStrings_Qt3DCore[4474]
#define sipNameNr_LineLoop 4484
#define sipName_LineLoop &sipStrings_Qt3DCore[4484]
#define sipNameNr_NotReady 4493
#define sipName_NotReady &sipStrings_Qt3DCore[4493]
#define sipNameNr_Qt3DCore 3148
#define sipName_Qt3DCore &sipStrings_Qt3DCore[3148]
#define sipNameNr_ReadOnly 4502
#define sipName_ReadOnly &sipStrings_Qt3DCore[4502]
#define sipNameNr___hash__ 4511
#define sipName___hash__ &sipStrings_Qt3DCore[4511]
#define sipNameNr_createId 4520
#define sipName_createId &sipStrings_Qt3DCore[4520]
#define sipNameNr_entities 4529
#define sipName_entities &sipStrings_Qt3DCore[4529]
#define sipNameNr_fromAxes 4538
#define sipName_fromAxes &sipStrings_Qt3DCore[4538]
#define sipNameNr_geometry 4547
#define sipName_geometry &sipStrings_Qt3DCore[4547]
#define sipNameNr_maxPoint 4556
#define sipName_maxPoint &sipStrings_Qt3DCore[4556]
#define sipNameNr_minPoint 4565
#define sipName_minPoint &sipStrings_Qt3DCore[4565]
#define sipNameNr_rotation 4574
#define sipName_rotation &sipStrings_Qt3DCore[4574]
#define sipNameNr_setCount 4583
#define sipName_setCount &sipStrings_Qt3DCore[4583]
#define sipNameNr_setScale 4592
#define sipName_setScale &sipStrings_Qt3DCore[4592]
#define sipNameNr_setUsage 4601
#define sipName_setUsage &sipStrings_Qt3DCore[4601]
#define sipNameNr_skeleton 4610
#define sipName_skeleton &sipStrings_Qt3DCore[4610]
#define sipNameNr_Patches 4619
#define sipName_Patches &sipStrings_Qt3DCore[4619]
#define sipNameNr_QBuffer 2340
#define sipName_QBuffer &sipStrings_Qt3DCore[2340]
#define sipNameNr_QEntity 2358
#define sipName_QEntity &sipStrings_Qt3DCore[2358]
#define sipNameNr_QNodeId 2376
#define sipName_QNodeId &sipStrings_Qt3DCore[2376]
#define sipNameNr_RunMode 508
#define sipName_RunMode &sipStrings_Qt3DCore[508]
#define sipNameNr___int__ 4627
#define sipName___int__ &sipStrings_Qt3DCore[4627]
#define sipNameNr_aspects 4635
#define sipName_aspects &sipStrings_Qt3DCore[4635]
#define sipNameNr_destroy 4643
#define sipName_destroy &sipStrings_Qt3DCore[4643]
#define sipNameNr_divisor 4651
#define sipName_divisor &sipStrings_Qt3DCore[4651]
#define sipNameNr_runMode 4659
#define sipName_runMode &sipStrings_Qt3DCore[4659]
#define sipNameNr_scale3D 4667
#define sipName_scale3D &sipStrings_Qt3DCore[4667]
#define sipNameNr_setData 4675
#define sipName_setData &sipStrings_Qt3DCore[4675]
#define sipNameNr_setName 4683
#define sipName_setName &sipStrings_Qt3DCore[4683]
#define sipNameNr_setView 4691
#define sipName_setView &sipStrings_Qt3DCore[4691]
#define sipNameNr_Double 4699
#define sipName_Double &sipStrings_Qt3DCore[4699]
#define sipNameNr_Manual 4706
#define sipName_Manual &sipStrings_Qt3DCore[4706]
#define sipNameNr_Points 4713
#define sipName_Points &sipStrings_Qt3DCore[4713]
#define sipNameNr_QJoint 2574
#define sipName_QJoint &sipStrings_Qt3DCore[2574]
#define sipNameNr_Status 476
#define sipName_Status &sipStrings_Qt3DCore[476]
#define sipNameNr___eq__ 4720
#define sipName___eq__ &sipStrings_Qt3DCore[4720]
#define sipNameNr___ge__ 4727
#define sipName___ge__ &sipStrings_Qt3DCore[4727]
#define sipNameNr___gt__ 4734
#define sipName___gt__ &sipStrings_Qt3DCore[4734]
#define sipNameNr___le__ 4741
#define sipName___le__ &sipStrings_Qt3DCore[4741]
#define sipNameNr___lt__ 4748
#define sipName___lt__ &sipStrings_Qt3DCore[4748]
#define sipNameNr___ne__ 4755
#define sipName___ne__ &sipStrings_Qt3DCore[4755]
#define sipNameNr_aspect 4762
#define sipName_aspect &sipStrings_Qt3DCore[4762]
#define sipNameNr_buffer 4769
#define sipName_buffer &sipStrings_Qt3DCore[4769]
#define sipNameNr_create 4776
#define sipName_create &sipStrings_Qt3DCore[4776]
#define sipNameNr_isNull 4783
#define sipName_isNull &sipStrings_Qt3DCore[4783]
#define sipNameNr_matrix 4790
#define sipName_matrix &sipStrings_Qt3DCore[4790]
#define sipNameNr_offset 4797
#define sipName_offset &sipStrings_Qt3DCore[4797]
#define sipNameNr_parent 4804
#define sipName_parent &sipStrings_Qt3DCore[4804]
#define sipNameNr_peerId 4811
#define sipName_peerId &sipStrings_Qt3DCore[4811]
#define sipNameNr_source 4818
#define sipName_source &sipStrings_Qt3DCore[4818]
#define sipNameNr_status 4825
#define sipName_status &sipStrings_Qt3DCore[4825]
#define sipNameNr_stride 4832
#define sipName_stride &sipStrings_Qt3DCore[4832]
#define sipNameNr_Error 4839
#define sipName_Error &sipStrings_Qt3DCore[4839]
#define sipNameNr_Float 4338
#define sipName_Float &sipStrings_Qt3DCore[4338]
#define sipNameNr_Lines 4845
#define sipName_Lines &sipStrings_Qt3DCore[4845]
#define sipNameNr_QNode 2930
#define sipName_QNode &sipStrings_Qt3DCore[2930]
#define sipNameNr_Ready 4496
#define sipName_Ready &sipStrings_Qt3DCore[4496]
#define sipNameNr_Short 3329
#define sipName_Short &sipStrings_Qt3DCore[3329]
#define sipNameNr_Write 4358
#define sipName_Write &sipStrings_Qt3DCore[4358]
#define sipNameNr_count 4851
#define sipName_count &sipStrings_Qt3DCore[4851]
#define sipNameNr_event 4857
#define sipName_event &sipStrings_Qt3DCore[4857]
#define sipNameNr_scale 4863
#define sipName_scale &sipStrings_Qt3DCore[4863]
#define sipNameNr_usage 4869
#define sipName_usage &sipStrings_Qt3DCore[4869]
#define sipNameNr_Byte 3609
#define sipName_Byte &sipStrings_Qt3DCore[3609]
#define sipNameNr_Mode 511
#define sipName_Mode &sipStrings_Qt3DCore[511]
#define sipNameNr_Read 3827
#define sipName_Read &sipStrings_Qt3DCore[3827]
#define sipNameNr_data 4875
#define sipName_data &sipStrings_Qt3DCore[4875]
#define sipNameNr_mode 4880
#define sipName_mode &sipStrings_Qt3DCore[4880]
#define sipNameNr_name 4885
#define sipName_name &sipStrings_Qt3DCore[4885]
#define sipNameNr_type 4890
#define sipName_type &sipStrings_Qt3DCore[4890]
#define sipNameNr_view 4895
#define sipName_view &sipStrings_Qt3DCore[4895]
#define sipNameNr_Int 3852
#define sipName_Int &sipStrings_Qt3DCore[3852]
#define sipNameNr_get 4900
#define sipName_get &sipStrings_Qt3DCore[4900]
#define sipNameNr_id 1688
#define sipName_id &sipStrings_Qt3DCore[1688]

#define sipMalloc                   sipAPI_Qt3DCore->api_malloc
#define sipFree                     sipAPI_Qt3DCore->api_free
#define sipBuildResult              sipAPI_Qt3DCore->api_build_result
#define sipCallMethod               sipAPI_Qt3DCore->api_call_method
#define sipCallProcedureMethod      sipAPI_Qt3DCore->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Qt3DCore->api_call_error_handler
#define sipParseResultEx            sipAPI_Qt3DCore->api_parse_result_ex
#define sipParseResult              sipAPI_Qt3DCore->api_parse_result
#define sipParseArgs                sipAPI_Qt3DCore->api_parse_args
#define sipParseKwdArgs             sipAPI_Qt3DCore->api_parse_kwd_args
#define sipParsePair                sipAPI_Qt3DCore->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Qt3DCore->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_Qt3DCore->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_Qt3DCore->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_Qt3DCore->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_Qt3DCore->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Qt3DCore->api_convert_to_void_ptr
#define sipAddException             sipAPI_Qt3DCore->api_add_exception
#define sipNoFunction               sipAPI_Qt3DCore->api_no_function
#define sipNoMethod                 sipAPI_Qt3DCore->api_no_method
#define sipAbstractMethod           sipAPI_Qt3DCore->api_abstract_method
#define sipBadClass                 sipAPI_Qt3DCore->api_bad_class
#define sipBadCatcherResult         sipAPI_Qt3DCore->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Qt3DCore->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Qt3DCore->api_bad_operator_arg
#define sipTrace                    sipAPI_Qt3DCore->api_trace
#define sipTransferBack             sipAPI_Qt3DCore->api_transfer_back
#define sipTransferTo               sipAPI_Qt3DCore->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_Qt3DCore->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Qt3DCore->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Qt3DCore->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Qt3DCore->api_voidptr_type
#define sipGetPyObject              sipAPI_Qt3DCore->api_get_pyobject
#define sipGetAddress               sipAPI_Qt3DCore->api_get_address
#define sipGetMixinAddress          sipAPI_Qt3DCore->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Qt3DCore->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qt3DCore->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_Qt3DCore->api_call_hook
#define sipEndThread                sipAPI_Qt3DCore->api_end_thread
#define sipRaiseUnknownException    sipAPI_Qt3DCore->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Qt3DCore->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Qt3DCore->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Qt3DCore->api_add_type_instance
#define sipPySlotExtend             sipAPI_Qt3DCore->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_Qt3DCore->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Qt3DCore->api_can_convert_to_type
#define sipConvertToType            sipAPI_Qt3DCore->api_convert_to_type
#define sipForceConvertToType       sipAPI_Qt3DCore->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_Qt3DCore->api_convert_to_enum
#define sipConvertToBool            sipAPI_Qt3DCore->api_convert_to_bool
#define sipReleaseType              sipAPI_Qt3DCore->api_release_type
#define sipConvertFromType          sipAPI_Qt3DCore->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Qt3DCore->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Qt3DCore->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Qt3DCore->api_convert_from_enum
#define sipGetState                 sipAPI_Qt3DCore->api_get_state
#define sipExportSymbol             sipAPI_Qt3DCore->api_export_symbol
#define sipImportSymbol             sipAPI_Qt3DCore->api_import_symbol
#define sipFindType                 sipAPI_Qt3DCore->api_find_type
#define sipBytes_AsChar             sipAPI_Qt3DCore->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Qt3DCore->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Qt3DCore->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Qt3DCore->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Qt3DCore->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Qt3DCore->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Qt3DCore->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Qt3DCore->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Qt3DCore->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qt3DCore->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qt3DCore->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qt3DCore->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qt3DCore->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_Qt3DCore->api_get_reference
#define sipKeepReference            sipAPI_Qt3DCore->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Qt3DCore->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Qt3DCore->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Qt3DCore->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Qt3DCore->api_type_scope
#define sipResolveTypedef           sipAPI_Qt3DCore->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Qt3DCore->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_Qt3DCore->api_enable_autoconversion
#define sipInitMixin                sipAPI_Qt3DCore->api_init_mixin
#define sipExportModule             sipAPI_Qt3DCore->api_export_module
#define sipInitModule               sipAPI_Qt3DCore->api_init_module
#define sipGetInterpreter           sipAPI_Qt3DCore->api_get_interpreter
#define sipSetTypeUserData          sipAPI_Qt3DCore->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Qt3DCore->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Qt3DCore->api_py_type_dict
#define sipPyTypeName               sipAPI_Qt3DCore->api_py_type_name
#define sipGetCFunction             sipAPI_Qt3DCore->api_get_c_function
#define sipGetMethod                sipAPI_Qt3DCore->api_get_method
#define sipFromMethod               sipAPI_Qt3DCore->api_from_method
#define sipGetDate                  sipAPI_Qt3DCore->api_get_date
#define sipFromDate                 sipAPI_Qt3DCore->api_from_date
#define sipGetDateTime              sipAPI_Qt3DCore->api_get_datetime
#define sipFromDateTime             sipAPI_Qt3DCore->api_from_datetime
#define sipGetTime                  sipAPI_Qt3DCore->api_get_time
#define sipFromTime                 sipAPI_Qt3DCore->api_from_time
#define sipIsUserType               sipAPI_Qt3DCore->api_is_user_type
#define sipCheckPluginForType       sipAPI_Qt3DCore->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Qt3DCore->api_unicode_new
#define sipUnicodeWrite             sipAPI_Qt3DCore->api_unicode_write
#define sipUnicodeData              sipAPI_Qt3DCore->api_unicode_data
#define sipGetBufferInfo            sipAPI_Qt3DCore->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Qt3DCore->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Qt3DCore->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Qt3DCore->api_is_derived_class
#define sipGetUserObject            sipAPI_Qt3DCore->api_get_user_object
#define sipSetUserObject            sipAPI_Qt3DCore->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Qt3DCore->api_register_event_handler
#define sipConvertToArray           sipAPI_Qt3DCore->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Qt3DCore->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Qt3DCore->api_enable_gc
#define sipPrintObject              sipAPI_Qt3DCore->api_print_object
#define sipLong_AsChar              sipAPI_Qt3DCore->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Qt3DCore->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Qt3DCore->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Qt3DCore->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Qt3DCore->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Qt3DCore->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Qt3DCore->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Qt3DCore->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Qt3DCore->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Qt3DCore->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Qt3DCore->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_Qt3DCore->api_long_as_size_t
#define sipVisitWrappers            sipAPI_Qt3DCore->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_Qt3DCore->api_register_exit_notifier
#define sipDeprecated               sipAPI_Qt3DCore->api_deprecated
#define sipPyTypeDictRef            sipAPI_Qt3DCore->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_Qt3DCore->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_Qt3DCore->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_Qt3DCore->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_Qt3DCore->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_Qt3DCore->api_release_type_us
#define sipIsPyMethod               sipAPI_Qt3DCore->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_Qt3DCore[];


#define sipType_Qt3DCore_QAbstractAspect sipExportedTypes_Qt3DCore[10]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QAbstractAspect;

#define sipType_Qt3DCore_QAbstractFunctor sipExportedTypes_Qt3DCore[11]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QAbstractFunctor;

#define sipType_Qt3DCore_QNode sipExportedTypes_Qt3DCore[33]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QNode;

#define sipType_Qt3DCore_QAbstractSkeleton sipExportedTypes_Qt3DCore[12]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QAbstractSkeleton;

#define sipType_Qt3DCore_QComponent sipExportedTypes_Qt3DCore[26]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QComponent;

#define sipType_Qt3DCore_QArmature sipExportedTypes_Qt3DCore[13]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QArmature;

#define sipType_Qt3DCore_QAspectEngine sipExportedTypes_Qt3DCore[14]

#define sipType_Qt3DCore_QAspectEngine_RunMode sipExportedTypes_Qt3DCore[15]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QAspectEngine;

#define sipType_Qt3DCore_QAttribute sipExportedTypes_Qt3DCore[16]

#define sipType_Qt3DCore_QAttribute_VertexBaseType sipExportedTypes_Qt3DCore[18]

#define sipType_Qt3DCore_QAttribute_AttributeType sipExportedTypes_Qt3DCore[17]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QAttribute;

#define sipType_Qt3DCore_QBackendNodeMapper sipExportedTypes_Qt3DCore[21]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QBackendNodeMapper;

#define sipType_Qt3DCore_QBackendNode sipExportedTypes_Qt3DCore[19]

#define sipType_Qt3DCore_QBackendNode_Mode sipExportedTypes_Qt3DCore[20]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QBackendNode;

#define sipType_Qt3DCore_QBoundingVolume sipExportedTypes_Qt3DCore[22]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QBoundingVolume;

#define sipType_Qt3DCore_QBuffer sipExportedTypes_Qt3DCore[23]

#define sipType_Qt3DCore_QBuffer_AccessType sipExportedTypes_Qt3DCore[24]

#define sipType_Qt3DCore_QBuffer_UsageType sipExportedTypes_Qt3DCore[25]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QBuffer;

#define sipType_Qt3DCore_QCoreSettings sipExportedTypes_Qt3DCore[27]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QCoreSettings;

#define sipType_Qt3DCore_QEntity sipExportedTypes_Qt3DCore[28]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QEntity;

#define sipType_Qt3DCore_QGeometry sipExportedTypes_Qt3DCore[29]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QGeometry;

#define sipType_Qt3DCore_QGeometryView sipExportedTypes_Qt3DCore[30]

#define sipType_Qt3DCore_QGeometryView_PrimitiveType sipExportedTypes_Qt3DCore[31]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QGeometryView;

#define sipType_Qt3DCore_QJoint sipExportedTypes_Qt3DCore[32]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QJoint;

#define sipType_Qt3DCore_QNodeIdTypePair sipExportedTypes_Qt3DCore[35]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QNodeIdTypePair;

#define sipType_Qt3DCore_QNodeId sipExportedTypes_Qt3DCore[34]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QNodeId;

#define sipType_Qt3DCore_QSkeleton sipExportedTypes_Qt3DCore[36]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QSkeleton;

#define sipType_Qt3DCore_QSkeletonLoader sipExportedTypes_Qt3DCore[37]

#define sipType_Qt3DCore_QSkeletonLoader_Status sipExportedTypes_Qt3DCore[38]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QSkeletonLoader;

#define sipType_Qt3DCore_QTransform sipExportedTypes_Qt3DCore[39]

extern sipClassTypeDef sipTypeDef_Qt3DCore_Qt3DCore_QTransform;

#define sipType_QList_0101Qt3DCore_QJoint sipExportedTypes_Qt3DCore[4]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QJoint;

#define sipType_QList_0101Qt3DCore_QAttribute sipExportedTypes_Qt3DCore[1]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QAttribute;

#define sipType_QList_0101Qt3DCore_QAbstractAspect sipExportedTypes_Qt3DCore[0]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QAbstractAspect;

#define sipType_QList_0101Qt3DCore_QEntity sipExportedTypes_Qt3DCore[3]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QEntity;

#define sipType_QList_0101Qt3DCore_QNode sipExportedTypes_Qt3DCore[5]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QNode;

#define sipType_QList_0100Qt3DCore_QNodeId sipExportedTypes_Qt3DCore[6]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0100Qt3DCore_QNodeId;

#define sipType_QSharedPointer_0100Qt3DCore_QEntity sipExportedTypes_Qt3DCore[9]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QSharedPointer_0100Qt3DCore_QEntity;

#define sipType_QList_0101Qt3DCore_QComponent sipExportedTypes_Qt3DCore[2]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QList_0101Qt3DCore_QComponent;

#define sipType_QSharedPointer_0100Qt3DCore_QBuffer sipExportedTypes_Qt3DCore[8]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QSharedPointer_0100Qt3DCore_QBuffer;

#define sipType_QSharedPointer_0100Qt3DCore_QBackendNodeMapper sipExportedTypes_Qt3DCore[7]

extern sipMappedTypeDef sipTypeDef_Qt3DCore_QSharedPointer_0100Qt3DCore_QBackendNodeMapper;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qt3DCore;
extern sipExportedModuleDef sipModuleAPI_Qt3DCore;
extern sipTypeDef *sipExportedTypes_Qt3DCore[];

#define sipType_QObject sipImportedTypes_Qt3DCore_QtCore[5].it_td

#define sipType_QByteArray sipImportedTypes_Qt3DCore_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_Qt3DCore_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_Qt3DCore_QtCore[7].it_td

#define sipType_QChildEvent sipImportedTypes_Qt3DCore_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_Qt3DCore_QtCore[3].it_td

#define sipType_QMetaObject sipImportedTypes_Qt3DCore_QtCore[4].it_td

#define sipType_QUrl sipImportedTypes_Qt3DCore_QtCore[8].it_td

#define sipType_QVariant sipImportedTypes_Qt3DCore_QtCore[9].it_td

#define sipType_QString sipImportedTypes_Qt3DCore_QtCore[6].it_td

#define sipType_qintptr sipImportedTypes_Qt3DCore_QtCore[10].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DCore_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Qt3DCore_QtCore[];

#define sipType_QMatrix4x4 sipImportedTypes_Qt3DCore_QtGui[0].it_td

#define sipType_QQuaternion sipImportedTypes_Qt3DCore_QtGui[1].it_td

#define sipType_QVector3D sipImportedTypes_Qt3DCore_QtGui[2].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DCore_QtGui[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_Qt3DCore_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_Qt3DCore_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Qt3DCore_qt_metacast;
#line 95 "/home/abuild/rpmbuild/BUILD/python-PyQt6-3D-6.8.0-build/PyQt6_3D-6.8.0/sip/Qt3DCore/qsharedpointer.sip"

#include <qsharedpointer.h>


// The dtor for the saved QSharedPointer.
template<class T>
void qt3d_QspDtor(PyObject *capsule)
{
    delete reinterpret_cast<QSharedPointer<T> *>(
            PyCapsule_GetPointer(capsule, 0));
}


template<class T>
bool qt3d_SaveQsp(PyObject *py, QSharedPointer<T> *qsp)
{
    // Wrap the copy in a Python object.
    PyObject *qsp_obj = PyCapsule_New(qsp, 0, qt3d_QspDtor<T>);

    if (!qsp_obj)
        return false;

    sipSetUserObject((sipSimpleWrapper *)py, qsp_obj);

    return true;
}

#line 1110 "/home/abuild/rpmbuild/BUILD/python-PyQt6-3D-6.8.0-build/PyQt6_3D-6.8.0/build/Qt3DCore/sipAPIQt3DCore.h"

#endif
