/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-3D.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _Qt3DExtrasAPI_H
#define _Qt3DExtrasAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Qt3DExtras__QNormalDiffuseSpecularMapMaterial 0
#define sipName_Qt3DExtras__QNormalDiffuseSpecularMapMaterial &sipStrings_Qt3DExtras[0]
#define sipNameNr_Qt3DExtras__QNormalDiffuseMapAlphaMaterial 46
#define sipName_Qt3DExtras__QNormalDiffuseMapAlphaMaterial &sipStrings_Qt3DExtras[46]
#define sipNameNr_Qt3DExtras__QFirstPersonCameraController 89
#define sipName_Qt3DExtras__QFirstPersonCameraController &sipStrings_Qt3DExtras[89]
#define sipNameNr_Qt3DExtras__QDiffuseSpecularMapMaterial 130
#define sipName_Qt3DExtras__QDiffuseSpecularMapMaterial &sipStrings_Qt3DExtras[130]
#define sipNameNr_Qt3DExtras__QAbstractCameraController 170
#define sipName_Qt3DExtras__QAbstractCameraController &sipStrings_Qt3DExtras[170]
#define sipNameNr_Qt3DExtras__QNormalDiffuseMapMaterial 208
#define sipName_Qt3DExtras__QNormalDiffuseMapMaterial &sipStrings_Qt3DExtras[208]
#define sipNameNr_246 246
#define sipName_246 &sipStrings_Qt3DExtras[246]
#define sipNameNr_Qt3DExtras__QDiffuseSpecularMaterial 283
#define sipName_Qt3DExtras__QDiffuseSpecularMaterial &sipStrings_Qt3DExtras[283]
#define sipNameNr_Qt3DExtras__QPerVertexColorMaterial 320
#define sipName_Qt3DExtras__QPerVertexColorMaterial &sipStrings_Qt3DExtras[320]
#define sipNameNr_Qt3DExtras__QOrbitCameraController 356
#define sipName_Qt3DExtras__QOrbitCameraController &sipStrings_Qt3DExtras[356]
#define sipNameNr_QNormalDiffuseSpecularMapMaterial 12
#define sipName_QNormalDiffuseSpecularMapMaterial &sipStrings_Qt3DExtras[12]
#define sipNameNr_Qt3DExtras__QCylinderGeometryView 391
#define sipName_Qt3DExtras__QCylinderGeometryView &sipStrings_Qt3DExtras[391]
#define sipNameNr_Qt3DExtras__QExtrudedTextGeometry 425
#define sipName_Qt3DExtras__QExtrudedTextGeometry &sipStrings_Qt3DExtras[425]
#define sipNameNr_Qt3DExtras__QAbstractSpriteSheet 459
#define sipName_Qt3DExtras__QAbstractSpriteSheet &sipStrings_Qt3DExtras[459]
#define sipNameNr_Qt3DExtras__QCuboidGeometryView 492
#define sipName_Qt3DExtras__QCuboidGeometryView &sipStrings_Qt3DExtras[492]
#define sipNameNr_Qt3DExtras__QDiffuseMapMaterial 524
#define sipName_Qt3DExtras__QDiffuseMapMaterial &sipStrings_Qt3DExtras[524]
#define sipNameNr_Qt3DExtras__QMetalRoughMaterial 556
#define sipName_Qt3DExtras__QMetalRoughMaterial &sipStrings_Qt3DExtras[556]
#define sipNameNr_Qt3DExtras__QMorphPhongMaterial 588
#define sipName_Qt3DExtras__QMorphPhongMaterial &sipStrings_Qt3DExtras[588]
#define sipNameNr_Qt3DExtras__QPhongAlphaMaterial 620
#define sipName_Qt3DExtras__QPhongAlphaMaterial &sipStrings_Qt3DExtras[620]
#define sipNameNr_Qt3DExtras__QSphereGeometryView 652
#define sipName_Qt3DExtras__QSphereGeometryView &sipStrings_Qt3DExtras[652]
#define sipNameNr_externalRenderTargetSizeChanged 684
#define sipName_externalRenderTargetSizeChanged &sipStrings_Qt3DExtras[684]
#define sipNameNr_QNormalDiffuseMapAlphaMaterial 58
#define sipName_QNormalDiffuseMapAlphaMaterial &sipStrings_Qt3DExtras[58]
#define sipNameNr_Qt3DExtras__QPlaneGeometryView 716
#define sipName_Qt3DExtras__QPlaneGeometryView &sipStrings_Qt3DExtras[716]
#define sipNameNr_Qt3DExtras__QTorusGeometryView 747
#define sipName_Qt3DExtras__QTorusGeometryView &sipStrings_Qt3DExtras[747]
#define sipNameNr_zoomTranslateViewCenterChanged 778
#define sipName_zoomTranslateViewCenterChanged &sipStrings_Qt3DExtras[778]
#define sipNameNr_Qt3DExtras__QConeGeometryView 809
#define sipName_Qt3DExtras__QConeGeometryView &sipStrings_Qt3DExtras[809]
#define sipNameNr_Qt3DExtras__QCylinderGeometry 839
#define sipName_Qt3DExtras__QCylinderGeometry &sipStrings_Qt3DExtras[839]
#define sipNameNr_Qt3DExtras__QExtrudedTextMesh 869
#define sipName_Qt3DExtras__QExtrudedTextMesh &sipStrings_Qt3DExtras[869]
#define sipNameNr_QFirstPersonCameraController 101
#define sipName_QFirstPersonCameraController &sipStrings_Qt3DExtras[101]
#define sipNameNr_Qt3DExtras__QForwardRenderer 899
#define sipName_Qt3DExtras__QForwardRenderer &sipStrings_Qt3DExtras[899]
#define sipNameNr_Qt3DExtras__QSpriteSheetItem 928
#define sipName_Qt3DExtras__QSpriteSheetItem &sipStrings_Qt3DExtras[928]
#define sipNameNr_Qt3DExtras__QTextureMaterial 957
#define sipName_Qt3DExtras__QTextureMaterial &sipStrings_Qt3DExtras[957]
#define sipNameNr_frustumCullingEnabledChanged 986
#define sipName_frustumCullingEnabledChanged &sipStrings_Qt3DExtras[986]
#define sipNameNr_QDiffuseSpecularMapMaterial 142
#define sipName_QDiffuseSpecularMapMaterial &sipStrings_Qt3DExtras[142]
#define sipNameNr_Qt3DExtras__QCuboidGeometry 1015
#define sipName_Qt3DExtras__QCuboidGeometry &sipStrings_Qt3DExtras[1015]
#define sipNameNr_Qt3DExtras__QSphereGeometry 1043
#define sipName_Qt3DExtras__QSphereGeometry &sipStrings_Qt3DExtras[1043]
#define sipNameNr_alphaBlendingEnabledChanged 1071
#define sipName_alphaBlendingEnabledChanged &sipStrings_Qt3DExtras[1071]
#define sipNameNr_setExternalRenderTargetSize 1099
#define sipName_setExternalRenderTargetSize &sipStrings_Qt3DExtras[1099]
#define sipNameNr_Qt3DExtras__QGoochMaterial 1127
#define sipName_Qt3DExtras__QGoochMaterial &sipStrings_Qt3DExtras[1127]
#define sipNameNr_Qt3DExtras__QPhongMaterial 1154
#define sipName_Qt3DExtras__QPhongMaterial &sipStrings_Qt3DExtras[1154]
#define sipNameNr_Qt3DExtras__QPlaneGeometry 1181
#define sipName_Qt3DExtras__QPlaneGeometry &sipStrings_Qt3DExtras[1181]
#define sipNameNr_Qt3DExtras__QTorusGeometry 1208
#define sipName_Qt3DExtras__QTorusGeometry &sipStrings_Qt3DExtras[1208]
#define sipNameNr_destinationAlphaArgChanged 1235
#define sipName_destinationAlphaArgChanged &sipStrings_Qt3DExtras[1235]
#define sipNameNr_gammaCorrectEnabledChanged 1262
#define sipName_gammaCorrectEnabledChanged &sipStrings_Qt3DExtras[1262]
#define sipNameNr_setZoomTranslateViewCenter 1289
#define sipName_setZoomTranslateViewCenter &sipStrings_Qt3DExtras[1289]
#define sipNameNr_QAbstractCameraController 182
#define sipName_QAbstractCameraController &sipStrings_Qt3DExtras[182]
#define sipNameNr_QNormalDiffuseMapMaterial 220
#define sipName_QNormalDiffuseMapMaterial &sipStrings_Qt3DExtras[220]
#define sipNameNr_Qt3DExtras__QConeGeometry 1316
#define sipName_Qt3DExtras__QConeGeometry &sipStrings_Qt3DExtras[1316]
#define sipNameNr_Qt3DExtras__QCylinderMesh 1342
#define sipName_Qt3DExtras__QCylinderMesh &sipStrings_Qt3DExtras[1342]
#define sipNameNr_Qt3DExtras__QSkyboxEntity 1368
#define sipName_Qt3DExtras__QSkyboxEntity &sipStrings_Qt3DExtras[1368]
#define sipNameNr_Qt3DExtras__QText2DEntity 1394
#define sipName_Qt3DExtras__QText2DEntity &sipStrings_Qt3DExtras[1394]
#define sipNameNr_QDiffuseSpecularMaterial 295
#define sipName_QDiffuseSpecularMaterial &sipStrings_Qt3DExtras[295]
#define sipNameNr_Qt3DExtras__QSpriteSheet 1420
#define sipName_Qt3DExtras__QSpriteSheet &sipStrings_Qt3DExtras[1420]
#define sipNameNr_destinationRgbArgChanged 1445
#define sipName_destinationRgbArgChanged &sipStrings_Qt3DExtras[1445]
#define sipNameNr_externalRenderTargetSize 1470
#define sipName_externalRenderTargetSize &sipStrings_Qt3DExtras[1470]
#define sipNameNr_inverseXTranslateChanged 1495
#define sipName_inverseXTranslateChanged &sipStrings_Qt3DExtras[1495]
#define sipNameNr_inverseYTranslateChanged 1520
#define sipName_inverseYTranslateChanged &sipStrings_Qt3DExtras[1520]
#define sipNameNr_setFrustumCullingEnabled 1545
#define sipName_setFrustumCullingEnabled &sipStrings_Qt3DExtras[1545]
#define sipNameNr_QPerVertexColorMaterial 332
#define sipName_QPerVertexColorMaterial &sipStrings_Qt3DExtras[332]
#define sipNameNr_Qt3DExtras__QCuboidMesh 1570
#define sipName_Qt3DExtras__QCuboidMesh &sipStrings_Qt3DExtras[1570]
#define sipNameNr_Qt3DExtras__QSphereMesh 1594
#define sipName_Qt3DExtras__QSphereMesh &sipStrings_Qt3DExtras[1594]
#define sipNameNr_Qt3DExtras__QSpriteGrid 1618
#define sipName_Qt3DExtras__QSpriteGrid &sipStrings_Qt3DExtras[1618]
#define sipNameNr_ambientOcclusionChanged 1642
#define sipName_ambientOcclusionChanged &sipStrings_Qt3DExtras[1642]
#define sipNameNr_blendFunctionArgChanged 1666
#define sipName_blendFunctionArgChanged &sipStrings_Qt3DExtras[1666]
#define sipNameNr_generateTangentsChanged 1690
#define sipName_generateTangentsChanged &sipStrings_Qt3DExtras[1690]
#define sipNameNr_isFrustumCullingEnabled 1714
#define sipName_isFrustumCullingEnabled &sipStrings_Qt3DExtras[1714]
#define sipNameNr_setAlphaBlendingEnabled 1738
#define sipName_setAlphaBlendingEnabled &sipStrings_Qt3DExtras[1738]
#define sipNameNr_showDebugOverlayChanged 1762
#define sipName_showDebugOverlayChanged &sipStrings_Qt3DExtras[1762]
#define sipNameNr_textureTransformChanged 1786
#define sipName_textureTransformChanged &sipStrings_Qt3DExtras[1786]
#define sipNameNr_xyMeshResolutionChanged 1810
#define sipName_xyMeshResolutionChanged &sipStrings_Qt3DExtras[1810]
#define sipNameNr_xzMeshResolutionChanged 1834
#define sipName_xzMeshResolutionChanged &sipStrings_Qt3DExtras[1834]
#define sipNameNr_yzMeshResolutionChanged 1858
#define sipName_yzMeshResolutionChanged &sipStrings_Qt3DExtras[1858]
#define sipNameNr_zoomTranslateViewCenter 1882
#define sipName_zoomTranslateViewCenter &sipStrings_Qt3DExtras[1882]
#define sipNameNr_QOrbitCameraController 368
#define sipName_QOrbitCameraController &sipStrings_Qt3DExtras[368]
#define sipNameNr_Qt3DExtras__QPlaneMesh 1906
#define sipName_Qt3DExtras__QPlaneMesh &sipStrings_Qt3DExtras[1906]
#define sipNameNr_Qt3DExtras__QTorusMesh 1929
#define sipName_Qt3DExtras__QTorusMesh &sipStrings_Qt3DExtras[1929]
#define sipNameNr_Qt3DExtras__Qt3DWindow 1952
#define sipName_Qt3DExtras__Qt3DWindow &sipStrings_Qt3DExtras[1952]
#define sipNameNr_hasBottomEndcapChanged 1975
#define sipName_hasBottomEndcapChanged &sipStrings_Qt3DExtras[1975]
#define sipNameNr_isAlphaBlendingEnabled 1998
#define sipName_isAlphaBlendingEnabled &sipStrings_Qt3DExtras[1998]
#define sipNameNr_setDestinationAlphaArg 2021
#define sipName_setDestinationAlphaArg &sipStrings_Qt3DExtras[2021]
#define sipNameNr_setGammaCorrectEnabled 2044
#define sipName_setGammaCorrectEnabled &sipStrings_Qt3DExtras[2044]
#define sipNameNr_QCylinderGeometryView 403
#define sipName_QCylinderGeometryView &sipStrings_Qt3DExtras[403]
#define sipNameNr_QExtrudedTextGeometry 437
#define sipName_QExtrudedTextGeometry &sipStrings_Qt3DExtras[437]
#define sipNameNr_Qt3DExtras__QConeMesh 2067
#define sipName_Qt3DExtras__QConeMesh &sipStrings_Qt3DExtras[2067]
#define sipNameNr_buffersToClearChanged 2089
#define sipName_buffersToClearChanged &sipStrings_Qt3DExtras[2089]
#define sipNameNr_isGammaCorrectEnabled 2111
#define sipName_isGammaCorrectEnabled &sipStrings_Qt3DExtras[2111]
#define sipNameNr_meshResolutionChanged 2133
#define sipName_meshResolutionChanged &sipStrings_Qt3DExtras[2133]
#define sipNameNr_mouseDoubleClickEvent 2155
#define sipName_mouseDoubleClickEvent &sipStrings_Qt3DExtras[2155]
#define sipNameNr_sourceAlphaArgChanged 2177
#define sipName_sourceAlphaArgChanged &sipStrings_Qt3DExtras[2177]
#define sipNameNr_QAbstractSpriteSheet 471
#define sipName_QAbstractSpriteSheet &sipStrings_Qt3DExtras[471]
#define sipNameNr_setDestinationRgbArg 2199
#define sipName_setDestinationRgbArg &sipStrings_Qt3DExtras[2199]
#define sipNameNr_setInverseXTranslate 2220
#define sipName_setInverseXTranslate &sipStrings_Qt3DExtras[2220]
#define sipNameNr_setInverseYTranslate 2241
#define sipName_setInverseYTranslate &sipStrings_Qt3DExtras[2241]
#define sipNameNr_textureOffsetChanged 2262
#define sipName_textureOffsetChanged &sipStrings_Qt3DExtras[2262]
#define sipNameNr_QCuboidGeometryView 504
#define sipName_QCuboidGeometryView &sipStrings_Qt3DExtras[504]
#define sipNameNr_QDiffuseMapMaterial 536
#define sipName_QDiffuseMapMaterial &sipStrings_Qt3DExtras[536]
#define sipNameNr_QMetalRoughMaterial 568
#define sipName_QMetalRoughMaterial &sipStrings_Qt3DExtras[568]
#define sipNameNr_QMorphPhongMaterial 600
#define sipName_QMorphPhongMaterial &sipStrings_Qt3DExtras[600]
#define sipNameNr_QPhongAlphaMaterial 632
#define sipName_QPhongAlphaMaterial &sipStrings_Qt3DExtras[632]
#define sipNameNr_QSphereGeometryView 664
#define sipName_QSphereGeometryView &sipStrings_Qt3DExtras[664]
#define sipNameNr_accelerationChanged 2283
#define sipName_accelerationChanged &sipStrings_Qt3DExtras[2283]
#define sipNameNr_bottomRadiusChanged 2303
#define sipName_bottomRadiusChanged &sipStrings_Qt3DExtras[2303]
#define sipNameNr_currentIndexChanged 2323
#define sipName_currentIndexChanged &sipStrings_Qt3DExtras[2323]
#define sipNameNr_decelerationChanged 2343
#define sipName_decelerationChanged &sipStrings_Qt3DExtras[2343]
#define sipNameNr_destinationAlphaArg 2363
#define sipName_destinationAlphaArg &sipStrings_Qt3DExtras[2363]
#define sipNameNr_hasTopEndcapChanged 2383
#define sipName_hasTopEndcapChanged &sipStrings_Qt3DExtras[2383]
#define sipNameNr_interpolatorChanged 2403
#define sipName_interpolatorChanged &sipStrings_Qt3DExtras[2403]
#define sipNameNr_setActiveFrameGraph 2423
#define sipName_setActiveFrameGraph &sipStrings_Qt3DExtras[2423]
#define sipNameNr_setAmbientOcclusion 2443
#define sipName_setAmbientOcclusion &sipStrings_Qt3DExtras[2443]
#define sipNameNr_setBlendFunctionArg 2463
#define sipName_setBlendFunctionArg &sipStrings_Qt3DExtras[2463]
#define sipNameNr_setGenerateTangents 2483
#define sipName_setGenerateTangents &sipStrings_Qt3DExtras[2483]
#define sipNameNr_setShowDebugOverlay 2503
#define sipName_setShowDebugOverlay &sipStrings_Qt3DExtras[2503]
#define sipNameNr_setTextureTransform 2523
#define sipName_setTextureTransform &sipStrings_Qt3DExtras[2523]
#define sipNameNr_setXYMeshResolution 2543
#define sipName_setXYMeshResolution &sipStrings_Qt3DExtras[2543]
#define sipNameNr_setXZMeshResolution 2563
#define sipName_setXZMeshResolution &sipStrings_Qt3DExtras[2563]
#define sipNameNr_setYZMeshResolution 2583
#define sipName_setYZMeshResolution &sipStrings_Qt3DExtras[2583]
#define sipNameNr_sourceRgbArgChanged 2603
#define sipName_sourceRgbArgChanged &sipStrings_Qt3DExtras[2603]
#define sipNameNr_textureScaleChanged 2623
#define sipName_textureScaleChanged &sipStrings_Qt3DExtras[2623]
#define sipNameNr_viewportRectChanged 2643
#define sipName_viewportRectChanged &sipStrings_Qt3DExtras[2643]
#define sipNameNr_QPlaneGeometryView 728
#define sipName_QPlaneGeometryView &sipStrings_Qt3DExtras[728]
#define sipNameNr_QTorusGeometryView 759
#define sipName_QTorusGeometryView &sipStrings_Qt3DExtras[759]
#define sipNameNr_inverseTiltChanged 2663
#define sipName_inverseTiltChanged &sipStrings_Qt3DExtras[2663]
#define sipNameNr_linearSpeedChanged 2682
#define sipName_linearSpeedChanged &sipStrings_Qt3DExtras[2682]
#define sipNameNr_minorRadiusChanged 2701
#define sipName_minorRadiusChanged &sipStrings_Qt3DExtras[2701]
#define sipNameNr_setHasBottomEndcap 2720
#define sipName_setHasBottomEndcap &sipStrings_Qt3DExtras[2720]
#define sipNameNr_setupWindowSurface 2739
#define sipName_setupWindowSurface &sipStrings_Qt3DExtras[2739]
#define sipNameNr_zoomInLimitChanged 2758
#define sipName_zoomInLimitChanged &sipStrings_Qt3DExtras[2758]
#define sipNameNr_QConeGeometryView 821
#define sipName_QConeGeometryView &sipStrings_Qt3DExtras[821]
#define sipNameNr_QCylinderGeometry 851
#define sipName_QCylinderGeometry &sipStrings_Qt3DExtras[851]
#define sipNameNr_QExtrudedTextMesh 881
#define sipName_QExtrudedTextMesh &sipStrings_Qt3DExtras[881]
#define sipNameNr_clearColorChanged 2777
#define sipName_clearColorChanged &sipStrings_Qt3DExtras[2777]
#define sipNameNr_defaultFrameGraph 2795
#define sipName_defaultFrameGraph &sipStrings_Qt3DExtras[2795]
#define sipNameNr_destinationRgbArg 2813
#define sipName_destinationRgbArg &sipStrings_Qt3DExtras[2813]
#define sipNameNr_inversePanChanged 2831
#define sipName_inversePanChanged &sipStrings_Qt3DExtras[2831]
#define sipNameNr_inverseXTranslate 2849
#define sipName_inverseXTranslate &sipStrings_Qt3DExtras[2849]
#define sipNameNr_inverseYTranslate 2867
#define sipName_inverseYTranslate &sipStrings_Qt3DExtras[2867]
#define sipNameNr_mouseReleaseEvent 2885
#define sipName_mouseReleaseEvent &sipStrings_Qt3DExtras[2885]
#define sipNameNr_positionAttribute 2903
#define sipName_positionAttribute &sipStrings_Qt3DExtras[2903]
#define sipNameNr_resolutionChanged 2921
#define sipName_resolutionChanged &sipStrings_Qt3DExtras[2921]
#define sipNameNr_setBuffersToClear 2939
#define sipName_setBuffersToClear &sipStrings_Qt3DExtras[2939]
#define sipNameNr_setMeshResolution 2957
#define sipName_setMeshResolution &sipStrings_Qt3DExtras[2957]
#define sipNameNr_setSourceAlphaArg 2975
#define sipName_setSourceAlphaArg &sipStrings_Qt3DExtras[2975]
#define sipNameNr_texCoordAttribute 2993
#define sipName_texCoordAttribute &sipStrings_Qt3DExtras[2993]
#define sipNameNr_PyQt6_Qt3DExtras 3011
#define sipName_PyQt6_Qt3DExtras &sipStrings_Qt3DExtras[3011]
#define sipNameNr_QForwardRenderer 911
#define sipName_QForwardRenderer &sipStrings_Qt3DExtras[911]
#define sipNameNr_QSpriteSheetItem 940
#define sipName_QSpriteSheetItem &sipStrings_Qt3DExtras[940]
#define sipNameNr_QTextureMaterial 969
#define sipName_QTextureMaterial &sipStrings_Qt3DExtras[969]
#define sipNameNr_activeFrameGraph 3028
#define sipName_activeFrameGraph &sipStrings_Qt3DExtras[3028]
#define sipNameNr_ambientOcclusion 3045
#define sipName_ambientOcclusion &sipStrings_Qt3DExtras[3045]
#define sipNameNr_baseColorChanged 3062
#define sipName_baseColorChanged &sipStrings_Qt3DExtras[3062]
#define sipNameNr_blendFunctionArg 3079
#define sipName_blendFunctionArg &sipStrings_Qt3DExtras[3079]
#define sipNameNr_disconnectNotify 3096
#define sipName_disconnectNotify &sipStrings_Qt3DExtras[3096]
#define sipNameNr_extensionChanged 3113
#define sipName_extensionChanged &sipStrings_Qt3DExtras[3113]
#define sipNameNr_generateTangents 3130
#define sipName_generateTangents &sipStrings_Qt3DExtras[3130]
#define sipNameNr_lookSpeedChanged 3147
#define sipName_lookSpeedChanged &sipStrings_Qt3DExtras[3147]
#define sipNameNr_metalnessChanged 3164
#define sipName_metalnessChanged &sipStrings_Qt3DExtras[3164]
#define sipNameNr_roughnessChanged 3181
#define sipName_roughnessChanged &sipStrings_Qt3DExtras[3181]
#define sipNameNr_setTextureOffset 3198
#define sipName_setTextureOffset &sipStrings_Qt3DExtras[3198]
#define sipNameNr_shininessChanged 3215
#define sipName_shininessChanged &sipStrings_Qt3DExtras[3215]
#define sipNameNr_showDebugOverlay 3232
#define sipName_showDebugOverlay &sipStrings_Qt3DExtras[3232]
#define sipNameNr_tangentAttribute 3249
#define sipName_tangentAttribute &sipStrings_Qt3DExtras[3249]
#define sipNameNr_textureTransform 3266
#define sipName_textureTransform &sipStrings_Qt3DExtras[3266]
#define sipNameNr_topRadiusChanged 3283
#define sipName_topRadiusChanged &sipStrings_Qt3DExtras[3283]
#define sipNameNr_xyMeshResolution 3300
#define sipName_xyMeshResolution &sipStrings_Qt3DExtras[3300]
#define sipNameNr_xzMeshResolution 3317
#define sipName_xzMeshResolution &sipStrings_Qt3DExtras[3317]
#define sipNameNr_yzMeshResolution 3334
#define sipName_yzMeshResolution &sipStrings_Qt3DExtras[3334]
#define sipNameNr_QCuboidGeometry 1027
#define sipName_QCuboidGeometry &sipStrings_Qt3DExtras[1027]
#define sipNameNr_QSphereGeometry 1055
#define sipName_QSphereGeometry &sipStrings_Qt3DExtras[1055]
#define sipNameNr_baseNameChanged 3351
#define sipName_baseNameChanged &sipStrings_Qt3DExtras[3351]
#define sipNameNr_extrusionLength 3367
#define sipName_extrusionLength &sipStrings_Qt3DExtras[3367]
#define sipNameNr_hasBottomEndcap 3383
#define sipName_hasBottomEndcap &sipStrings_Qt3DExtras[3383]
#define sipNameNr_keyReleaseEvent 3399
#define sipName_keyReleaseEvent &sipStrings_Qt3DExtras[3399]
#define sipNameNr_mirroredChanged 3415
#define sipName_mirroredChanged &sipStrings_Qt3DExtras[3415]
#define sipNameNr_mousePressEvent 3431
#define sipName_mousePressEvent &sipStrings_Qt3DExtras[3431]
#define sipNameNr_normalAttribute 3447
#define sipName_normalAttribute &sipStrings_Qt3DExtras[3447]
#define sipNameNr_setAcceleration 3463
#define sipName_setAcceleration &sipStrings_Qt3DExtras[3463]
#define sipNameNr_setBottomRadius 3479
#define sipName_setBottomRadius &sipStrings_Qt3DExtras[3479]
#define sipNameNr_setCurrentIndex 3495
#define sipName_setCurrentIndex &sipStrings_Qt3DExtras[3495]
#define sipNameNr_setDeceleration 3511
#define sipName_setDeceleration &sipStrings_Qt3DExtras[3511]
#define sipNameNr_setHasTopEndcap 3527
#define sipName_setHasTopEndcap &sipStrings_Qt3DExtras[3527]
#define sipNameNr_setInterpolator 3543
#define sipName_setInterpolator &sipStrings_Qt3DExtras[3543]
#define sipNameNr_setSourceRgbArg 3559
#define sipName_setSourceRgbArg &sipStrings_Qt3DExtras[3559]
#define sipNameNr_setTextureScale 3575
#define sipName_setTextureScale &sipStrings_Qt3DExtras[3575]
#define sipNameNr_setViewportRect 3591
#define sipName_setViewportRect &sipStrings_Qt3DExtras[3591]
#define sipNameNr_specularChanged 3607
#define sipName_specularChanged &sipStrings_Qt3DExtras[3607]
#define sipNameNr_upVectorChanged 3623
#define sipName_upVectorChanged &sipStrings_Qt3DExtras[3623]
#define sipNameNr_QGoochMaterial 1139
#define sipName_QGoochMaterial &sipStrings_Qt3DExtras[1139]
#define sipNameNr_QPhongMaterial 1166
#define sipName_QPhongMaterial &sipStrings_Qt3DExtras[1166]
#define sipNameNr_QPlaneGeometry 1193
#define sipName_QPlaneGeometry &sipStrings_Qt3DExtras[1193]
#define sipNameNr_QTorusGeometry 1220
#define sipName_QTorusGeometry &sipStrings_Qt3DExtras[1220]
#define sipNameNr_ambientChanged 3639
#define sipName_ambientChanged &sipStrings_Qt3DExtras[3639]
#define sipNameNr_buffersToClear 3654
#define sipName_buffersToClear &sipStrings_Qt3DExtras[3654]
#define sipNameNr_columnsChanged 3669
#define sipName_columnsChanged &sipStrings_Qt3DExtras[3669]
#define sipNameNr_diffuseChanged 3684
#define sipName_diffuseChanged &sipStrings_Qt3DExtras[3684]
#define sipNameNr_indexAttribute 3699
#define sipName_indexAttribute &sipStrings_Qt3DExtras[3699]
#define sipNameNr_keyboardDevice 3714
#define sipName_keyboardDevice &sipStrings_Qt3DExtras[3714]
#define sipNameNr_meshResolution 3729
#define sipName_meshResolution &sipStrings_Qt3DExtras[3729]
#define sipNameNr_mouseMoveEvent 3744
#define sipName_mouseMoveEvent &sipStrings_Qt3DExtras[3744]
#define sipNameNr_registerAspect 3759
#define sipName_registerAspect &sipStrings_Qt3DExtras[3759]
#define sipNameNr_renderSettings 3774
#define sipName_renderSettings &sipStrings_Qt3DExtras[3774]
#define sipNameNr_setInverseTilt 3789
#define sipName_setInverseTilt &sipStrings_Qt3DExtras[3789]
#define sipNameNr_setLinearSpeed 3804
#define sipName_setLinearSpeed &sipStrings_Qt3DExtras[3804]
#define sipNameNr_setMinorRadius 3819
#define sipName_setMinorRadius &sipStrings_Qt3DExtras[3819]
#define sipNameNr_setZoomInLimit 3834
#define sipName_setZoomInLimit &sipStrings_Qt3DExtras[3834]
#define sipNameNr_sourceAlphaArg 3849
#define sipName_sourceAlphaArg &sipStrings_Qt3DExtras[3849]
#define sipNameNr_spritesChanged 3864
#define sipName_spritesChanged &sipStrings_Qt3DExtras[3864]
#define sipNameNr_surfaceChanged 3879
#define sipName_surfaceChanged &sipStrings_Qt3DExtras[3879]
#define sipNameNr_textureChanged 3894
#define sipName_textureChanged &sipStrings_Qt3DExtras[3894]
#define sipNameNr_updateVertices 3909
#define sipName_updateVertices &sipStrings_Qt3DExtras[3909]
#define sipNameNr_xExtentChanged 3924
#define sipName_xExtentChanged &sipStrings_Qt3DExtras[3924]
#define sipNameNr_yExtentChanged 3939
#define sipName_yExtentChanged &sipStrings_Qt3DExtras[3939]
#define sipNameNr_zExtentChanged 3954
#define sipName_zExtentChanged &sipStrings_Qt3DExtras[3954]
#define sipNameNr_QConeGeometry 1328
#define sipName_QConeGeometry &sipStrings_Qt3DExtras[1328]
#define sipNameNr_QCylinderMesh 1354
#define sipName_QCylinderMesh &sipStrings_Qt3DExtras[1354]
#define sipNameNr_QSkyboxEntity 1380
#define sipName_QSkyboxEntity &sipStrings_Qt3DExtras[1380]
#define sipNameNr_QText2DEntity 1406
#define sipName_QText2DEntity &sipStrings_Qt3DExtras[1406]
#define sipNameNr_cameraChanged 3969
#define sipName_cameraChanged &sipStrings_Qt3DExtras[3969]
#define sipNameNr_connectNotify 3099
#define sipName_connectNotify &sipStrings_Qt3DExtras[3099]
#define sipNameNr_focusOutEvent 3983
#define sipName_focusOutEvent &sipStrings_Qt3DExtras[3983]
#define sipNameNr_heightChanged 3997
#define sipName_heightChanged &sipStrings_Qt3DExtras[3997]
#define sipNameNr_keyPressEvent 4011
#define sipName_keyPressEvent &sipStrings_Qt3DExtras[4011]
#define sipNameNr_lengthChanged 4025
#define sipName_lengthChanged &sipStrings_Qt3DExtras[4025]
#define sipNameNr_normalChanged 4039
#define sipName_normalChanged &sipStrings_Qt3DExtras[4039]
#define sipNameNr_radiusChanged 4053
#define sipName_radiusChanged &sipStrings_Qt3DExtras[4053]
#define sipNameNr_setClearColor 4067
#define sipName_setClearColor &sipStrings_Qt3DExtras[4067]
#define sipNameNr_setInversePan 4081
#define sipName_setInversePan &sipStrings_Qt3DExtras[4081]
#define sipNameNr_setResolution 4095
#define sipName_setResolution &sipStrings_Qt3DExtras[4095]
#define sipNameNr_setRootEntity 4109
#define sipName_setRootEntity &sipStrings_Qt3DExtras[4109]
#define sipNameNr_slicesChanged 4123
#define sipName_slicesChanged &sipStrings_Qt3DExtras[4123]
#define sipNameNr_textureOffset 4137
#define sipName_textureOffset &sipStrings_Qt3DExtras[4137]
#define sipNameNr_updateIndices 4151
#define sipName_updateIndices &sipStrings_Qt3DExtras[4151]
#define sipNameNr_QSpriteSheet 1432
#define sipName_QSpriteSheet &sipStrings_Qt3DExtras[1432]
#define sipNameNr_acceleration 4165
#define sipName_acceleration &sipStrings_Qt3DExtras[4165]
#define sipNameNr_alphaChanged 4178
#define sipName_alphaChanged &sipStrings_Qt3DExtras[4178]
#define sipNameNr_bottomRadius 4191
#define sipName_bottomRadius &sipStrings_Qt3DExtras[4191]
#define sipNameNr_colorChanged 4204
#define sipName_colorChanged &sipStrings_Qt3DExtras[4204]
#define sipNameNr_currentIndex 4217
#define sipName_currentIndex &sipStrings_Qt3DExtras[4217]
#define sipNameNr_deceleration 4230
#define sipName_deceleration &sipStrings_Qt3DExtras[4230]
#define sipNameNr_depthChanged 4243
#define sipName_depthChanged &sipStrings_Qt3DExtras[4243]
#define sipNameNr_focusInEvent 4256
#define sipName_focusInEvent &sipStrings_Qt3DExtras[4256]
#define sipNameNr_gammaChanged 4269
#define sipName_gammaChanged &sipStrings_Qt3DExtras[4269]
#define sipNameNr_hasTopEndcap 4282
#define sipName_hasTopEndcap &sipStrings_Qt3DExtras[4282]
#define sipNameNr_interpolator 4295
#define sipName_interpolator &sipStrings_Qt3DExtras[4295]
#define sipNameNr_removeSprite 4308
#define sipName_removeSprite &sipStrings_Qt3DExtras[4308]
#define sipNameNr_ringsChanged 4321
#define sipName_ringsChanged &sipStrings_Qt3DExtras[4321]
#define sipNameNr_setBaseColor 4334
#define sipName_setBaseColor &sipStrings_Qt3DExtras[4334]
#define sipNameNr_setExtension 4347
#define sipName_setExtension &sipStrings_Qt3DExtras[4347]
#define sipNameNr_setLookSpeed 4360
#define sipName_setLookSpeed &sipStrings_Qt3DExtras[4360]
#define sipNameNr_setMetalness 4373
#define sipName_setMetalness &sipStrings_Qt3DExtras[4373]
#define sipNameNr_setRoughness 4386
#define sipName_setRoughness &sipStrings_Qt3DExtras[4386]
#define sipNameNr_setShininess 4399
#define sipName_setShininess &sipStrings_Qt3DExtras[4399]
#define sipNameNr_setTopRadius 4412
#define sipName_setTopRadius &sipStrings_Qt3DExtras[4412]
#define sipNameNr_sourceRgbArg 4425
#define sipName_sourceRgbArg &sipStrings_Qt3DExtras[4425]
#define sipNameNr_textureScale 4438
#define sipName_textureScale &sipStrings_Qt3DExtras[4438]
#define sipNameNr_viewportRect 4451
#define sipName_viewportRect &sipStrings_Qt3DExtras[4451]
#define sipNameNr_widthChanged 4464
#define sipName_widthChanged &sipStrings_Qt3DExtras[4464]
#define sipNameNr_QCuboidMesh 1582
#define sipName_QCuboidMesh &sipStrings_Qt3DExtras[1582]
#define sipNameNr_QSphereMesh 1606
#define sipName_QSphereMesh &sipStrings_Qt3DExtras[1606]
#define sipNameNr_QSpriteGrid 1630
#define sipName_QSpriteGrid &sipStrings_Qt3DExtras[1630]
#define sipNameNr_betaChanged 4477
#define sipName_betaChanged &sipStrings_Qt3DExtras[4477]
#define sipNameNr_coolChanged 4489
#define sipName_coolChanged &sipStrings_Qt3DExtras[4489]
#define sipNameNr_customEvent 4501
#define sipName_customEvent &sipStrings_Qt3DExtras[4501]
#define sipNameNr_eventFilter 4513
#define sipName_eventFilter &sipStrings_Qt3DExtras[4513]
#define sipNameNr_exposeEvent 4525
#define sipName_exposeEvent &sipStrings_Qt3DExtras[4525]
#define sipNameNr_focusObject 4537
#define sipName_focusObject &sipStrings_Qt3DExtras[4537]
#define sipNameNr_fontChanged 4549
#define sipName_fontChanged &sipStrings_Qt3DExtras[4549]
#define sipNameNr_inverseTilt 4561
#define sipName_inverseTilt &sipStrings_Qt3DExtras[4561]
#define sipNameNr_linearSpeed 4573
#define sipName_linearSpeed &sipStrings_Qt3DExtras[4573]
#define sipNameNr_minorRadius 4585
#define sipName_minorRadius &sipStrings_Qt3DExtras[4585]
#define sipNameNr_mouseDevice 4597
#define sipName_mouseDevice &sipStrings_Qt3DExtras[4597]
#define sipNameNr_nativeEvent 4609
#define sipName_nativeEvent &sipStrings_Qt3DExtras[4609]
#define sipNameNr_resizeEvent 4621
#define sipName_resizeEvent &sipStrings_Qt3DExtras[4621]
#define sipNameNr_rowsChanged 4633
#define sipName_rowsChanged &sipStrings_Qt3DExtras[4633]
#define sipNameNr_setBaseName 4645
#define sipName_setBaseName &sipStrings_Qt3DExtras[4645]
#define sipNameNr_setMirrored 4657
#define sipName_setMirrored &sipStrings_Qt3DExtras[4657]
#define sipNameNr_setSpecular 4669
#define sipName_setSpecular &sipStrings_Qt3DExtras[4669]
#define sipNameNr_setUpVector 4681
#define sipName_setUpVector &sipStrings_Qt3DExtras[4681]
#define sipNameNr_surfaceType 4693
#define sipName_surfaceType &sipStrings_Qt3DExtras[4693]
#define sipNameNr_tabletEvent 4705
#define sipName_tabletEvent &sipStrings_Qt3DExtras[4705]
#define sipNameNr_textChanged 4717
#define sipName_textChanged &sipStrings_Qt3DExtras[4717]
#define sipNameNr_warmChanged 4729
#define sipName_warmChanged &sipStrings_Qt3DExtras[4729]
#define sipNameNr_zoomInLimit 4741
#define sipName_zoomInLimit &sipStrings_Qt3DExtras[4741]
#define sipNameNr_QPlaneMesh 1918
#define sipName_QPlaneMesh &sipStrings_Qt3DExtras[1918]
#define sipNameNr_QTorusMesh 1941
#define sipName_QTorusMesh &sipStrings_Qt3DExtras[1941]
#define sipNameNr_Qt3DExtras 3017
#define sipName_Qt3DExtras &sipStrings_Qt3DExtras[3017]
#define sipNameNr_Qt3DWindow 1964
#define sipName_Qt3DWindow &sipStrings_Qt3DExtras[1964]
#define sipNameNr_childEvent 4753
#define sipName_childEvent &sipStrings_Qt3DExtras[4753]
#define sipNameNr_clearColor 4764
#define sipName_clearColor &sipStrings_Qt3DExtras[4764]
#define sipNameNr_closeEvent 4775
#define sipName_closeEvent &sipStrings_Qt3DExtras[4775]
#define sipNameNr_inversePan 4786
#define sipName_inversePan &sipStrings_Qt3DExtras[4786]
#define sipNameNr_paintEvent 4797
#define sipName_paintEvent &sipStrings_Qt3DExtras[4797]
#define sipNameNr_resolution 4808
#define sipName_resolution &sipStrings_Qt3DExtras[4808]
#define sipNameNr_setAmbient 4819
#define sipName_setAmbient &sipStrings_Qt3DExtras[4819]
#define sipNameNr_setColumns 4830
#define sipName_setColumns &sipStrings_Qt3DExtras[4830]
#define sipNameNr_setDiffuse 4841
#define sipName_setDiffuse &sipStrings_Qt3DExtras[4841]
#define sipNameNr_setSprites 4852
#define sipName_setSprites &sipStrings_Qt3DExtras[4852]
#define sipNameNr_setSurface 4863
#define sipName_setSurface &sipStrings_Qt3DExtras[4863]
#define sipNameNr_setTexture 4874
#define sipName_setTexture &sipStrings_Qt3DExtras[4874]
#define sipNameNr_setXExtent 4885
#define sipName_setXExtent &sipStrings_Qt3DExtras[4885]
#define sipNameNr_setYExtent 4896
#define sipName_setYExtent &sipStrings_Qt3DExtras[4896]
#define sipNameNr_setZExtent 4907
#define sipName_setZExtent &sipStrings_Qt3DExtras[4907]
#define sipNameNr_timerEvent 4918
#define sipName_timerEvent &sipStrings_Qt3DExtras[4918]
#define sipNameNr_touchEvent 4929
#define sipName_touchEvent &sipStrings_Qt3DExtras[4929]
#define sipNameNr_wheelEvent 4940
#define sipName_wheelEvent &sipStrings_Qt3DExtras[4940]
#define sipNameNr_QConeMesh 2079
#define sipName_QConeMesh &sipStrings_Qt3DExtras[2079]
#define sipNameNr_addSprite 4951
#define sipName_addSprite &sipStrings_Qt3DExtras[4951]
#define sipNameNr_baseColor 4961
#define sipName_baseColor &sipStrings_Qt3DExtras[4961]
#define sipNameNr_extension 4971
#define sipName_extension &sipStrings_Qt3DExtras[4971]
#define sipNameNr_hideEvent 4981
#define sipName_hideEvent &sipStrings_Qt3DExtras[4981]
#define sipNameNr_lookSpeed 4991
#define sipName_lookSpeed &sipStrings_Qt3DExtras[4991]
#define sipNameNr_metalness 5001
#define sipName_metalness &sipStrings_Qt3DExtras[5001]
#define sipNameNr_moveEvent 5011
#define sipName_moveEvent &sipStrings_Qt3DExtras[5011]
#define sipNameNr_roughness 5021
#define sipName_roughness &sipStrings_Qt3DExtras[5021]
#define sipNameNr_setCamera 5031
#define sipName_setCamera &sipStrings_Qt3DExtras[5031]
#define sipNameNr_setHeight 5041
#define sipName_setHeight &sipStrings_Qt3DExtras[5041]
#define sipNameNr_setLength 5051
#define sipName_setLength &sipStrings_Qt3DExtras[5051]
#define sipNameNr_setNormal 5061
#define sipName_setNormal &sipStrings_Qt3DExtras[5061]
#define sipNameNr_setRadius 5071
#define sipName_setRadius &sipStrings_Qt3DExtras[5071]
#define sipNameNr_setSlices 5081
#define sipName_setSlices &sipStrings_Qt3DExtras[5081]
#define sipNameNr_shininess 5091
#define sipName_shininess &sipStrings_Qt3DExtras[5091]
#define sipNameNr_showEvent 5101
#define sipName_showEvent &sipStrings_Qt3DExtras[5101]
#define sipNameNr_topRadius 5111
#define sipName_topRadius &sipStrings_Qt3DExtras[5111]
#define sipNameNr_baseName 5121
#define sipName_baseName &sipStrings_Qt3DExtras[5121]
#define sipNameNr_mirrored 5130
#define sipName_mirrored &sipStrings_Qt3DExtras[5130]
#define sipNameNr_setAlpha 5139
#define sipName_setAlpha &sipStrings_Qt3DExtras[5139]
#define sipNameNr_setColor 5148
#define sipName_setColor &sipStrings_Qt3DExtras[5148]
#define sipNameNr_setDepth 5157
#define sipName_setDepth &sipStrings_Qt3DExtras[5157]
#define sipNameNr_setGamma 5166
#define sipName_setGamma &sipStrings_Qt3DExtras[5166]
#define sipNameNr_setRings 5175
#define sipName_setRings &sipStrings_Qt3DExtras[5175]
#define sipNameNr_setWidth 5184
#define sipName_setWidth &sipStrings_Qt3DExtras[5184]
#define sipNameNr_specular 5193
#define sipName_specular &sipStrings_Qt3DExtras[5193]
#define sipNameNr_upVector 5202
#define sipName_upVector &sipStrings_Qt3DExtras[5202]
#define sipNameNr_xChanged 2334
#define sipName_xChanged &sipStrings_Qt3DExtras[2334]
#define sipNameNr_yChanged 1777
#define sipName_yChanged &sipStrings_Qt3DExtras[1777]
#define sipNameNr_ambient 5211
#define sipName_ambient &sipStrings_Qt3DExtras[5211]
#define sipNameNr_columns 5219
#define sipName_columns &sipStrings_Qt3DExtras[5219]
#define sipNameNr_diffuse 5227
#define sipName_diffuse &sipStrings_Qt3DExtras[5227]
#define sipNameNr_setBeta 5235
#define sipName_setBeta &sipStrings_Qt3DExtras[5235]
#define sipNameNr_setCool 5243
#define sipName_setCool &sipStrings_Qt3DExtras[5243]
#define sipNameNr_setFont 5251
#define sipName_setFont &sipStrings_Qt3DExtras[5251]
#define sipNameNr_setRows 5259
#define sipName_setRows &sipStrings_Qt3DExtras[5259]
#define sipNameNr_setText 5267
#define sipName_setText &sipStrings_Qt3DExtras[5267]
#define sipNameNr_setWarm 5275
#define sipName_setWarm &sipStrings_Qt3DExtras[5275]
#define sipNameNr_sprites 5283
#define sipName_sprites &sipStrings_Qt3DExtras[5283]
#define sipNameNr_surface 5291
#define sipName_surface &sipStrings_Qt3DExtras[5291]
#define sipNameNr_texture 5299
#define sipName_texture &sipStrings_Qt3DExtras[5299]
#define sipNameNr_xExtent 5307
#define sipName_xExtent &sipStrings_Qt3DExtras[5307]
#define sipNameNr_yExtent 5315
#define sipName_yExtent &sipStrings_Qt3DExtras[5315]
#define sipNameNr_zExtent 5323
#define sipName_zExtent &sipStrings_Qt3DExtras[5323]
#define sipNameNr_camera 5331
#define sipName_camera &sipStrings_Qt3DExtras[5331]
#define sipNameNr_format 5338
#define sipName_format &sipStrings_Qt3DExtras[5338]
#define sipNameNr_height 5345
#define sipName_height &sipStrings_Qt3DExtras[5345]
#define sipNameNr_length 5352
#define sipName_length &sipStrings_Qt3DExtras[5352]
#define sipNameNr_normal 5359
#define sipName_normal &sipStrings_Qt3DExtras[5359]
#define sipNameNr_parent 5366
#define sipName_parent &sipStrings_Qt3DExtras[5366]
#define sipNameNr_radius 5373
#define sipName_radius &sipStrings_Qt3DExtras[5373]
#define sipNameNr_screen 5380
#define sipName_screen &sipStrings_Qt3DExtras[5380]
#define sipNameNr_slices 5387
#define sipName_slices &sipStrings_Qt3DExtras[5387]
#define sipNameNr_alpha 5394
#define sipName_alpha &sipStrings_Qt3DExtras[5394]
#define sipNameNr_color 5400
#define sipName_color &sipStrings_Qt3DExtras[5400]
#define sipNameNr_depth 5406
#define sipName_depth &sipStrings_Qt3DExtras[5406]
#define sipNameNr_event 5412
#define sipName_event &sipStrings_Qt3DExtras[5412]
#define sipNameNr_gamma 5418
#define sipName_gamma &sipStrings_Qt3DExtras[5418]
#define sipNameNr_rings 5424
#define sipName_rings &sipStrings_Qt3DExtras[5424]
#define sipNameNr_width 5430
#define sipName_width &sipStrings_Qt3DExtras[5430]
#define sipNameNr_beta 5436
#define sipName_beta &sipStrings_Qt3DExtras[5436]
#define sipNameNr_cool 5441
#define sipName_cool &sipStrings_Qt3DExtras[5441]
#define sipNameNr_font 5446
#define sipName_font &sipStrings_Qt3DExtras[5446]
#define sipNameNr_rows 5451
#define sipName_rows &sipStrings_Qt3DExtras[5451]
#define sipNameNr_setX 5456
#define sipName_setX &sipStrings_Qt3DExtras[5456]
#define sipNameNr_setY 5461
#define sipName_setY &sipStrings_Qt3DExtras[5461]
#define sipNameNr_size 5466
#define sipName_size &sipStrings_Qt3DExtras[5466]
#define sipNameNr_text 5471
#define sipName_text &sipStrings_Qt3DExtras[5471]
#define sipNameNr_warm 5476
#define sipName_warm &sipStrings_Qt3DExtras[5476]
#define sipNameNr_api 5481
#define sipName_api &sipStrings_Qt3DExtras[5481]
#define sipNameNr_x 3509
#define sipName_x &sipStrings_Qt3DExtras[3509]
#define sipNameNr_y 457
#define sipName_y &sipStrings_Qt3DExtras[457]

#define sipMalloc                   sipAPI_Qt3DExtras->api_malloc
#define sipFree                     sipAPI_Qt3DExtras->api_free
#define sipBuildResult              sipAPI_Qt3DExtras->api_build_result
#define sipCallMethod               sipAPI_Qt3DExtras->api_call_method
#define sipCallProcedureMethod      sipAPI_Qt3DExtras->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Qt3DExtras->api_call_error_handler
#define sipParseResultEx            sipAPI_Qt3DExtras->api_parse_result_ex
#define sipParseResult              sipAPI_Qt3DExtras->api_parse_result
#define sipParseArgs                sipAPI_Qt3DExtras->api_parse_args
#define sipParseKwdArgs             sipAPI_Qt3DExtras->api_parse_kwd_args
#define sipParsePair                sipAPI_Qt3DExtras->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Qt3DExtras->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_Qt3DExtras->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_Qt3DExtras->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_Qt3DExtras->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_Qt3DExtras->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Qt3DExtras->api_convert_to_void_ptr
#define sipAddException             sipAPI_Qt3DExtras->api_add_exception
#define sipNoFunction               sipAPI_Qt3DExtras->api_no_function
#define sipNoMethod                 sipAPI_Qt3DExtras->api_no_method
#define sipAbstractMethod           sipAPI_Qt3DExtras->api_abstract_method
#define sipBadClass                 sipAPI_Qt3DExtras->api_bad_class
#define sipBadCatcherResult         sipAPI_Qt3DExtras->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Qt3DExtras->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Qt3DExtras->api_bad_operator_arg
#define sipTrace                    sipAPI_Qt3DExtras->api_trace
#define sipTransferBack             sipAPI_Qt3DExtras->api_transfer_back
#define sipTransferTo               sipAPI_Qt3DExtras->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_Qt3DExtras->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Qt3DExtras->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Qt3DExtras->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Qt3DExtras->api_voidptr_type
#define sipGetPyObject              sipAPI_Qt3DExtras->api_get_pyobject
#define sipGetAddress               sipAPI_Qt3DExtras->api_get_address
#define sipGetMixinAddress          sipAPI_Qt3DExtras->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Qt3DExtras->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qt3DExtras->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_Qt3DExtras->api_call_hook
#define sipEndThread                sipAPI_Qt3DExtras->api_end_thread
#define sipRaiseUnknownException    sipAPI_Qt3DExtras->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Qt3DExtras->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Qt3DExtras->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Qt3DExtras->api_add_type_instance
#define sipPySlotExtend             sipAPI_Qt3DExtras->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_Qt3DExtras->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Qt3DExtras->api_can_convert_to_type
#define sipConvertToType            sipAPI_Qt3DExtras->api_convert_to_type
#define sipForceConvertToType       sipAPI_Qt3DExtras->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_Qt3DExtras->api_convert_to_enum
#define sipConvertToBool            sipAPI_Qt3DExtras->api_convert_to_bool
#define sipReleaseType              sipAPI_Qt3DExtras->api_release_type
#define sipConvertFromType          sipAPI_Qt3DExtras->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Qt3DExtras->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Qt3DExtras->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Qt3DExtras->api_convert_from_enum
#define sipGetState                 sipAPI_Qt3DExtras->api_get_state
#define sipExportSymbol             sipAPI_Qt3DExtras->api_export_symbol
#define sipImportSymbol             sipAPI_Qt3DExtras->api_import_symbol
#define sipFindType                 sipAPI_Qt3DExtras->api_find_type
#define sipBytes_AsChar             sipAPI_Qt3DExtras->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Qt3DExtras->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Qt3DExtras->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Qt3DExtras->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Qt3DExtras->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Qt3DExtras->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Qt3DExtras->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Qt3DExtras->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Qt3DExtras->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qt3DExtras->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qt3DExtras->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qt3DExtras->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qt3DExtras->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_Qt3DExtras->api_get_reference
#define sipKeepReference            sipAPI_Qt3DExtras->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Qt3DExtras->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Qt3DExtras->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Qt3DExtras->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Qt3DExtras->api_type_scope
#define sipResolveTypedef           sipAPI_Qt3DExtras->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Qt3DExtras->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_Qt3DExtras->api_enable_autoconversion
#define sipInitMixin                sipAPI_Qt3DExtras->api_init_mixin
#define sipExportModule             sipAPI_Qt3DExtras->api_export_module
#define sipInitModule               sipAPI_Qt3DExtras->api_init_module
#define sipGetInterpreter           sipAPI_Qt3DExtras->api_get_interpreter
#define sipSetTypeUserData          sipAPI_Qt3DExtras->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Qt3DExtras->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Qt3DExtras->api_py_type_dict
#define sipPyTypeName               sipAPI_Qt3DExtras->api_py_type_name
#define sipGetCFunction             sipAPI_Qt3DExtras->api_get_c_function
#define sipGetMethod                sipAPI_Qt3DExtras->api_get_method
#define sipFromMethod               sipAPI_Qt3DExtras->api_from_method
#define sipGetDate                  sipAPI_Qt3DExtras->api_get_date
#define sipFromDate                 sipAPI_Qt3DExtras->api_from_date
#define sipGetDateTime              sipAPI_Qt3DExtras->api_get_datetime
#define sipFromDateTime             sipAPI_Qt3DExtras->api_from_datetime
#define sipGetTime                  sipAPI_Qt3DExtras->api_get_time
#define sipFromTime                 sipAPI_Qt3DExtras->api_from_time
#define sipIsUserType               sipAPI_Qt3DExtras->api_is_user_type
#define sipCheckPluginForType       sipAPI_Qt3DExtras->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Qt3DExtras->api_unicode_new
#define sipUnicodeWrite             sipAPI_Qt3DExtras->api_unicode_write
#define sipUnicodeData              sipAPI_Qt3DExtras->api_unicode_data
#define sipGetBufferInfo            sipAPI_Qt3DExtras->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Qt3DExtras->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Qt3DExtras->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Qt3DExtras->api_is_derived_class
#define sipGetUserObject            sipAPI_Qt3DExtras->api_get_user_object
#define sipSetUserObject            sipAPI_Qt3DExtras->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Qt3DExtras->api_register_event_handler
#define sipConvertToArray           sipAPI_Qt3DExtras->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Qt3DExtras->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Qt3DExtras->api_enable_gc
#define sipPrintObject              sipAPI_Qt3DExtras->api_print_object
#define sipLong_AsChar              sipAPI_Qt3DExtras->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Qt3DExtras->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Qt3DExtras->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Qt3DExtras->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Qt3DExtras->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Qt3DExtras->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Qt3DExtras->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Qt3DExtras->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Qt3DExtras->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Qt3DExtras->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Qt3DExtras->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_Qt3DExtras->api_long_as_size_t
#define sipVisitWrappers            sipAPI_Qt3DExtras->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_Qt3DExtras->api_register_exit_notifier
#define sipDeprecated               sipAPI_Qt3DExtras->api_deprecated
#define sipPyTypeDictRef            sipAPI_Qt3DExtras->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_Qt3DExtras->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_Qt3DExtras->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_Qt3DExtras->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_Qt3DExtras->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_Qt3DExtras->api_release_type_us
#define sipIsPyMethod               sipAPI_Qt3DExtras->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_Qt3DExtras[];


#define sipType_Qt3DExtras_QAbstractCameraController sipExportedTypes_Qt3DExtras[1]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QAbstractCameraController;

#define sipType_Qt3DExtras_QAbstractSpriteSheet sipExportedTypes_Qt3DExtras[2]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QAbstractSpriteSheet;

#define sipType_Qt3DExtras_QConeGeometry sipExportedTypes_Qt3DExtras[3]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QConeGeometry;

#define sipType_Qt3DExtras_QConeGeometryView sipExportedTypes_Qt3DExtras[4]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QConeGeometryView;

#define sipType_Qt3DExtras_QConeMesh sipExportedTypes_Qt3DExtras[5]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QConeMesh;

#define sipType_Qt3DExtras_QCuboidGeometry sipExportedTypes_Qt3DExtras[6]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCuboidGeometry;

#define sipType_Qt3DExtras_QCuboidGeometryView sipExportedTypes_Qt3DExtras[7]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCuboidGeometryView;

#define sipType_Qt3DExtras_QCuboidMesh sipExportedTypes_Qt3DExtras[8]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCuboidMesh;

#define sipType_Qt3DExtras_QCylinderGeometry sipExportedTypes_Qt3DExtras[9]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCylinderGeometry;

#define sipType_Qt3DExtras_QCylinderGeometryView sipExportedTypes_Qt3DExtras[10]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCylinderGeometryView;

#define sipType_Qt3DExtras_QCylinderMesh sipExportedTypes_Qt3DExtras[11]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QCylinderMesh;

#define sipType_Qt3DExtras_QDiffuseMapMaterial sipExportedTypes_Qt3DExtras[12]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QDiffuseMapMaterial;

#define sipType_Qt3DExtras_QDiffuseSpecularMapMaterial sipExportedTypes_Qt3DExtras[13]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QDiffuseSpecularMapMaterial;

#define sipType_Qt3DExtras_QDiffuseSpecularMaterial sipExportedTypes_Qt3DExtras[14]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QDiffuseSpecularMaterial;

#define sipType_Qt3DExtras_QExtrudedTextGeometry sipExportedTypes_Qt3DExtras[15]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QExtrudedTextGeometry;

#define sipType_Qt3DExtras_QExtrudedTextMesh sipExportedTypes_Qt3DExtras[16]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QExtrudedTextMesh;

#define sipType_Qt3DExtras_QFirstPersonCameraController sipExportedTypes_Qt3DExtras[17]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QFirstPersonCameraController;

#define sipType_Qt3DExtras_QForwardRenderer sipExportedTypes_Qt3DExtras[18]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QForwardRenderer;

#define sipType_Qt3DExtras_QGoochMaterial sipExportedTypes_Qt3DExtras[19]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QGoochMaterial;

#define sipType_Qt3DExtras_QMetalRoughMaterial sipExportedTypes_Qt3DExtras[20]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QMetalRoughMaterial;

#define sipType_Qt3DExtras_QMorphPhongMaterial sipExportedTypes_Qt3DExtras[21]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QMorphPhongMaterial;

#define sipType_Qt3DExtras_QNormalDiffuseMapMaterial sipExportedTypes_Qt3DExtras[23]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QNormalDiffuseMapMaterial;

#define sipType_Qt3DExtras_QNormalDiffuseMapAlphaMaterial sipExportedTypes_Qt3DExtras[22]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QNormalDiffuseMapAlphaMaterial;

#define sipType_Qt3DExtras_QNormalDiffuseSpecularMapMaterial sipExportedTypes_Qt3DExtras[24]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QNormalDiffuseSpecularMapMaterial;

#define sipType_Qt3DExtras_QOrbitCameraController sipExportedTypes_Qt3DExtras[25]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QOrbitCameraController;

#define sipType_Qt3DExtras_QPerVertexColorMaterial sipExportedTypes_Qt3DExtras[26]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPerVertexColorMaterial;

#define sipType_Qt3DExtras_QPhongAlphaMaterial sipExportedTypes_Qt3DExtras[27]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPhongAlphaMaterial;

#define sipType_Qt3DExtras_QPhongMaterial sipExportedTypes_Qt3DExtras[28]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPhongMaterial;

#define sipType_Qt3DExtras_QPlaneGeometry sipExportedTypes_Qt3DExtras[29]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPlaneGeometry;

#define sipType_Qt3DExtras_QPlaneGeometryView sipExportedTypes_Qt3DExtras[30]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPlaneGeometryView;

#define sipType_Qt3DExtras_QPlaneMesh sipExportedTypes_Qt3DExtras[31]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QPlaneMesh;

#define sipType_Qt3DExtras_QSkyboxEntity sipExportedTypes_Qt3DExtras[32]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSkyboxEntity;

#define sipType_Qt3DExtras_QSphereGeometry sipExportedTypes_Qt3DExtras[33]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSphereGeometry;

#define sipType_Qt3DExtras_QSphereGeometryView sipExportedTypes_Qt3DExtras[34]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSphereGeometryView;

#define sipType_Qt3DExtras_QSphereMesh sipExportedTypes_Qt3DExtras[35]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSphereMesh;

#define sipType_Qt3DExtras_QSpriteGrid sipExportedTypes_Qt3DExtras[36]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSpriteGrid;

#define sipType_Qt3DExtras_QSpriteSheet sipExportedTypes_Qt3DExtras[37]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSpriteSheet;

#define sipType_Qt3DExtras_QSpriteSheetItem sipExportedTypes_Qt3DExtras[38]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QSpriteSheetItem;

#define sipType_Qt3DExtras_Qt3DWindow sipExportedTypes_Qt3DExtras[44]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_Qt3DWindow;

#define sipType_Qt3DExtras_QText2DEntity sipExportedTypes_Qt3DExtras[39]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QText2DEntity;

#define sipType_Qt3DExtras_QTextureMaterial sipExportedTypes_Qt3DExtras[40]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QTextureMaterial;

#define sipType_Qt3DExtras_QTorusGeometry sipExportedTypes_Qt3DExtras[41]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QTorusGeometry;

#define sipType_Qt3DExtras_QTorusGeometryView sipExportedTypes_Qt3DExtras[42]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QTorusGeometryView;

#define sipType_Qt3DExtras_QTorusMesh sipExportedTypes_Qt3DExtras[43]

extern sipClassTypeDef sipTypeDef_Qt3DExtras_Qt3DExtras_QTorusMesh;

#define sipType_QList_0101Qt3DExtras_QSpriteSheetItem sipExportedTypes_Qt3DExtras[0]

extern sipMappedTypeDef sipTypeDef_Qt3DExtras_QList_0101Qt3DExtras_QSpriteSheetItem;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qt3DExtras;
extern sipExportedModuleDef sipModuleAPI_Qt3DExtras;
extern sipTypeDef *sipExportedTypes_Qt3DExtras[];

#define sipType_QObject sipImportedTypes_Qt3DExtras_QtCore[4].it_td

#define sipType_QByteArray sipImportedTypes_Qt3DExtras_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_Qt3DExtras_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_Qt3DExtras_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_Qt3DExtras_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_Qt3DExtras_QtCore[3].it_td

#define sipType_QRectF sipImportedTypes_Qt3DExtras_QtCore[5].it_td

#define sipType_QSize sipImportedTypes_Qt3DExtras_QtCore[6].it_td

#define sipType_QVariant sipImportedTypes_Qt3DExtras_QtCore[9].it_td

#define sipType_QString sipImportedTypes_Qt3DExtras_QtCore[7].it_td

#define sipType_qintptr sipImportedTypes_Qt3DExtras_QtCore[10].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DExtras_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Qt3DExtras_QtCore[];

#define sipType_QColor sipImportedTypes_Qt3DExtras_QtGui[1].it_td

#define sipType_QKeyEvent sipImportedTypes_Qt3DExtras_QtGui[6].it_td

#define sipType_QFocusEvent sipImportedTypes_Qt3DExtras_QtGui[3].it_td

#define sipType_QPaintEvent sipImportedTypes_Qt3DExtras_QtGui[10].it_td

#define sipType_QMoveEvent sipImportedTypes_Qt3DExtras_QtGui[9].it_td

#define sipType_QResizeEvent sipImportedTypes_Qt3DExtras_QtGui[11].it_td

#define sipType_QCloseEvent sipImportedTypes_Qt3DExtras_QtGui[0].it_td

#define sipType_QShowEvent sipImportedTypes_Qt3DExtras_QtGui[13].it_td

#define sipType_QHideEvent sipImportedTypes_Qt3DExtras_QtGui[5].it_td

#define sipType_QExposeEvent sipImportedTypes_Qt3DExtras_QtGui[2].it_td

#define sipType_QMouseEvent sipImportedTypes_Qt3DExtras_QtGui[8].it_td

#define sipType_QWheelEvent sipImportedTypes_Qt3DExtras_QtGui[21].it_td

#define sipType_QTabletEvent sipImportedTypes_Qt3DExtras_QtGui[17].it_td

#define sipType_QTouchEvent sipImportedTypes_Qt3DExtras_QtGui[18].it_td

#define sipType_QFont sipImportedTypes_Qt3DExtras_QtGui[4].it_td

#define sipType_QMatrix3x3 sipImportedTypes_Qt3DExtras_QtGui[7].it_td

#define sipType_QSurface sipImportedTypes_Qt3DExtras_QtGui[14].it_td

#define sipType_QSurface_SurfaceType sipImportedTypes_Qt3DExtras_QtGui[15].it_td

#define sipType_QWindow sipImportedTypes_Qt3DExtras_QtGui[22].it_td

#define sipType_QScreen sipImportedTypes_Qt3DExtras_QtGui[12].it_td

#define sipType_QSurfaceFormat sipImportedTypes_Qt3DExtras_QtGui[16].it_td

#define sipType_QVector2D sipImportedTypes_Qt3DExtras_QtGui[19].it_td

#define sipType_QVector3D sipImportedTypes_Qt3DExtras_QtGui[20].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DExtras_QtGui[];

#define sipType_Qt3DCore_QAbstractAspect sipImportedTypes_Qt3DExtras_Qt3DCore[0].it_td

#define sipType_Qt3DCore_QNode sipImportedTypes_Qt3DExtras_Qt3DCore[7].it_td

#define sipType_Qt3DCore_QComponent sipImportedTypes_Qt3DExtras_Qt3DCore[3].it_td

#define sipType_Qt3DCore_QAttribute sipImportedTypes_Qt3DExtras_Qt3DCore[1].it_td

#define sipType_Qt3DCore_QBoundingVolume sipImportedTypes_Qt3DExtras_Qt3DCore[2].it_td

#define sipType_Qt3DCore_QEntity sipImportedTypes_Qt3DExtras_Qt3DCore[4].it_td

#define sipType_Qt3DCore_QGeometry sipImportedTypes_Qt3DExtras_Qt3DCore[5].it_td

#define sipType_Qt3DCore_QGeometryView sipImportedTypes_Qt3DExtras_Qt3DCore[6].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DExtras_Qt3DCore[];

#define sipType_Qt3DInput_QKeyboardDevice sipImportedTypes_Qt3DExtras_Qt3DInput[0].it_td

#define sipType_Qt3DInput_QMouseDevice sipImportedTypes_Qt3DExtras_Qt3DInput[1].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DExtras_Qt3DInput[];

#define sipType_Qt3DRender_API sipImportedTypes_Qt3DExtras_Qt3DRender[0].it_td

#define sipType_Qt3DRender_QAbstractTexture sipImportedTypes_Qt3DExtras_Qt3DRender[1].it_td

#define sipType_Qt3DRender_QBlendEquation_BlendFunction sipImportedTypes_Qt3DExtras_Qt3DRender[2].it_td

#define sipType_Qt3DRender_QBlendEquationArguments_Blending sipImportedTypes_Qt3DExtras_Qt3DRender[3].it_td

#define sipType_Qt3DRender_QFrameGraphNode sipImportedTypes_Qt3DExtras_Qt3DRender[6].it_td

#define sipType_Qt3DRender_QCamera sipImportedTypes_Qt3DExtras_Qt3DRender[4].it_td

#define sipType_Qt3DRender_QClearBuffers_BufferType sipImportedTypes_Qt3DExtras_Qt3DRender[5].it_td

#define sipType_Qt3DRender_QGeometryRenderer sipImportedTypes_Qt3DExtras_Qt3DRender[7].it_td

#define sipType_Qt3DRender_QMaterial sipImportedTypes_Qt3DExtras_Qt3DRender[8].it_td

#define sipType_Qt3DRender_QRenderSettings sipImportedTypes_Qt3DExtras_Qt3DRender[9].it_td

#define sipType_Qt3DRender_QTechniqueFilter sipImportedTypes_Qt3DExtras_Qt3DRender[10].it_td
extern sipImportedTypeDef sipImportedTypes_Qt3DExtras_Qt3DRender[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_Qt3DExtras_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_Qt3DExtras_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Qt3DExtras_qt_metacast;
#line 95 "/home/abuild/rpmbuild/BUILD/python-PyQt6-3D-6.8.0-build/PyQt6_3D-6.8.0/sip/Qt3DCore/qsharedpointer.sip"

#include <qsharedpointer.h>


// The dtor for the saved QSharedPointer.
template<class T>
void qt3d_QspDtor(PyObject *capsule)
{
    delete reinterpret_cast<QSharedPointer<T> *>(
            PyCapsule_GetPointer(capsule, 0));
}


template<class T>
bool qt3d_SaveQsp(PyObject *py, QSharedPointer<T> *qsp)
{
    // Wrap the copy in a Python object.
    PyObject *qsp_obj = PyCapsule_New(qsp, 0, qt3d_QspDtor<T>);

    if (!qsp_obj)
        return false;

    sipSetUserObject((sipSimpleWrapper *)py, qsp_obj);

    return true;
}

#line 1295 "/home/abuild/rpmbuild/BUILD/python-PyQt6-3D-6.8.0-build/PyQt6_3D-6.8.0/build/Qt3DExtras/sipAPIQt3DExtras.h"

#endif
